Attribute VB_Name = "Lang"
Option Explicit
Public LangName As String
Private LangData() As String

'''''''''''''''''''''''''''''''''''''''''
'MENSAJES Y CADENAS
'''''''''''''''''''''''''''''''''''''''''

Public Sub MsgFileNotFound(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(0) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Sub MsgCDRipCanotObtTtrackList()
On Error GoTo ErrH
MsgBox LangData(1), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo obtener la lista de Tracks", vbCritical, Form1.Caption
End Sub

Public Sub StringCDRipObtainTrackList()
On Error GoTo ErrH
Form2.Text2.Text = LangData(2)
Exit Sub
ErrH:
Form2.Text2.Text = "Obteniendo información de pistas..."
End Sub

Public Sub MsgCDRipGetOutDir()
On Error GoTo ErrH
MsgBox LangData(3), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Ingrese un directorio de salida", vbCritical, Form1.Caption
End Sub

Public Sub MsgCanotCreateDir(Optional DirPath As String)
On Error GoTo ErrH
MsgBox LangData(4) & " " & DirPath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo crear el directorio " & DirPath, vbCritical, Form1.Caption
End Sub

Public Sub MsgCDRipNoTracksSelect()
On Error GoTo ErrH
MsgBox LangData(5), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se seleccionó ningún track", vbCritical, Form1.Caption
End Sub

Public Sub MsgCanotRenameFile(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(6) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo renombrar el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Function InputFileName(Optional Default As String) As String
Dim Ret As String, Mensaje As String
On Error Resume Next
Mensaje = LangData(7)
Ret = Chr(34)
If Mensaje = "" Then Mensaje = "Ingrese un nombre válido para el archivo (no debe contener los caracteres :/\*?|<>" & Chr(34) & ")"
While ScriptObj.FilenameIsValid(Ret) = False And Ret <> ""
Ret = InputBox(Mensaje, Form1.Caption, Default)
Wend
InputFileName = Ret
End Function

Public Sub MsgFileNameConflict()
On Error GoTo ErrH
MsgBox LangData(8), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Ya existe un archivo con ese nombre", vbCritical, Form1.Caption
End Sub

Public Sub MsgCanotCopyFile(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(9) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No pudo copiarse el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Sub MsgCanotDelFile(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(10) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No pudo eliminarse el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Sub MsgCanotCreateFile(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(11) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo crear el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Sub MsgFileNameNoValid(Optional FileName As String)
On Error GoTo ErrH
MsgBox FileName & " " & LangData(12), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox FileName & " no es un nombre de archivo válido", vbCritical, Form1.Caption
End Sub

Public Sub AdmFilesCaptionSaveAs()
On Error GoTo ErrH
Form3.Label1.Caption = LangData(13)
Exit Sub
ErrH:
Form3.Label1.Caption = "Guardar como:"
End Sub
Public Sub AdmFilesCaptionSelectFile()
On Error GoTo ErrH
Form3.Label1.Caption = LangData(14)
Exit Sub
ErrH:
Form3.Label1.Caption = "Seleccionar archivo:"
End Sub

Public Function QuestionReplaceFile() As VbMsgBoxResult
On Error GoTo ErrH
QuestionReplaceFile = MsgBox(LangData(15), vbYesNoCancel, Form1.Caption)
Exit Function
ErrH:
QuestionReplaceFile = MsgBox("Ya existe un archivo con ese nombre, ¿reemplazar?", vbYesNoCancel, Form1.Caption)
End Function

Public Sub MsgNoFilesFound(Optional DirPath As String)
On Error GoTo ErrH
MsgBox LangData(16) & " " & DirPath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encontraron archivos en el directorio " & DirPath, vbCritical, Form1.Caption
End Sub

Public Sub MsgCantFileRead(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(17) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo leer el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Sub MsgCantWriteFile(Optional FilePath As String)
On Error GoTo ErrH
MsgBox LangData(18) & " " & FilePath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo escribir el archivo " & FilePath, vbCritical, Form1.Caption
End Sub

Public Function QuestionSaveChanges(Optional FileName As String) As VbMsgBoxResult
On Error GoTo ErrH
QuestionSaveChanges = MsgBox(Replace(LangData(19) & " " & FileName & " " & LangData(20), "  ", " "), vbYesNoCancel, Form1.Caption)
Exit Function
ErrH:
QuestionSaveChanges = MsgBox(Replace("El archivo " & FileName & " ha cambiado, ¿guardar cambios?", "  ", " "), vbYesNoCancel, Form1.Caption)
End Function

Public Sub FEMsgParNoEspecificado()
On Error GoTo ErrH
MsgBox LangData(21), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se han especificado los parámetros", vbCritical, Form1.Caption
End Sub

Public Sub FEMsgNoFilesSelect()
On Error GoTo ErrH
MsgBox LangData(22), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se han seleccionado archivos", vbCritical, Form1.Caption
End Sub

Public Sub FEMsgSelectMasFiles()
On Error GoTo ErrH
MsgBox LangData(23), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Es necesario seleccionar por lo menos 2 archivos", vbCritical, Form1.Caption
End Sub

Public Sub MsgStopProcessAntesSalir()
On Error GoTo ErrH
MsgBox LangData(24), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Detenga el proceso antes de salir", vbCritical, Form1.Caption
End Sub

Public Function FEQuestionReproducir() As VbMsgBoxResult
On Error GoTo ErrH
FEQuestionReproducir = MsgBox(LangData(25), vbYesNo, Form1.Caption)
Exit Function
ErrH:
FEQuestionReproducir = MsgBox("Archivo convertido, ¿reproducir?", vbYesNo, Form1.Caption)
End Function

Public Function FFParLabels() As FFmpegCmdLModifLabels
On Error GoTo ErrH
With FFParLabels
.Bitrate = LangData(26)
.BitrateMax = LangData(27)
.BitrateMin = LangData(28)
.Calidad = LangData(29)
.CalidadMax = LangData(30)
.CalidadMin = LangData(31)
.Canales = LangData(32)
.CodecAudio = LangData(33)
.CodecSubtitulo = LangData(34)
.CodecVideo = LangData(35)
.Contenedor = LangData(36)
.fps = LangData(37)
.Objetivo = LangData(38)
.ParametrosAdicionales = LangData(39)
.PixelFormat = LangData(40)
.RelAspect = LangData(41)
.SampleRate = LangData(42)
.TamanoCuadro = LangData(43)
.Extension = LangData(44)
.EliminarA = LangData(45)
.EliminarV = LangData(46)
.EliminarS = LangData(47)
.Multisalida = LangData(48)
.BufferSize = "Buffer size"
.ReadInputAtNFR = "Read at native fps"
End With
Exit Function
ErrH:
With FFParLabels
.Bitrate = "Bitrate (bits/s)"
.BitrateMax = "Bitrate max (bits/s)"
.BitrateMin = "Bitrate min (bits/s)"
.Calidad = "Calidad"
.CalidadMax = "Calidad max"
.CalidadMin = "Calidad min"
.Canales = "Canales"
.CodecAudio = "Codec de Audio"
.CodecSubtitulo = "Codec de subtítulos"
.CodecVideo = "Codec de video"
.Contenedor = "Formato de contenedor"
.fps = "Cuadros/s"
.Objetivo = "Objetivo"
.ParametrosAdicionales = "Parámetros adicionales"
.PixelFormat = "Formato de pixel"
.RelAspect = "Relación de aspecto"
.SampleRate = "Samplerate (Hz)"
.TamanoCuadro = "Tamaño de cuadro (WxH,pixels)"
.Extension = "Extensión de archivo"
.EliminarA = "Eliminar audio"
.EliminarV = "Eliminar video"
.EliminarS = "Eliminar subtitulos"
.Multisalida = "Múltiples archivos de salida"
.BufferSize = "Buffer size"
.ReadInputAtNFR = "Read at native fps"
End With
End Function

Public Sub MsgECodecLabelNoValid()
On Error GoTo ErrH
MsgBox LangData(49), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Debe ingresar una etiqueta que no contenga los caracteres < >", vbCritical, Form1.Caption
End Sub

Public Function ECEViewDocInputPar(Optional Default As String) As String
On Error GoTo ErrH
ECEViewDocInputPar = InputBox(LangData(50), Form1.Caption, Default)
Exit Function
ErrH:
ECEViewDocInputPar = InputBox("Ingrese los parámetros de la línea de comandos para acceder a la documentación (ejemplo: -help)", Form1.Caption, Default)
End Function

Public Sub MsgECodecNoExePath()
On Error GoTo ErrH
MsgBox LangData(51), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Aún no se especifica el ejecutable", vbCritical, Form1.Caption
End Sub

Public Sub FilterEditMsgStopProc()
On Error GoTo ErrH
MsgBox LangData(52), vbOKOnly, Form1.Caption
Exit Sub
ErrH:
MsgBox "Para detener el proceso cierre la ventana de ffplay ó finalice ffplay desde el administrador de tareas", vbOKOnly, Form1.Caption
End Sub

Public Sub FormatEditMsgCantLoadECodec(Optional Name As String)
On Error GoTo ErrH
MsgBox LangData(53) & " " & Name, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pudo cargar el codec externo " & Name, vbCritical, Form1.Caption
End Sub

Public Function FormatEditQstUnloadCodec() As VbMsgBoxResult
On Error GoTo ErrH
FormatEditQstUnloadCodec = MsgBox(LangData(54), vbYesNoCancel, Form1.Caption)
Exit Function
ErrH:
FormatEditQstUnloadCodec = MsgBox("El codec no podrá volverse a cargar porque fue eliminado, ¿Continuar?", vbYesNoCancel, Form1.Caption)
End Function

Public Sub MsgECodecELabelInUse()
On Error GoTo ErrH
MsgBox LangData(55), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Ya existe un parámetro con esa etiqueta", vbCritical, Form1.Caption
End Sub

Public Sub FEMsgChoiceAnOptFmtAdvancHelp()
On Error GoTo ErrH
MsgBox LangData(56), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se ha especificado el formato, ingrese ó elija uno de la lista", vbCritical, Form1.Caption
End Sub

Public Sub FEMsgChoiceAnOptCodecAdvancHelp()
On Error GoTo ErrH
MsgBox LangData(57), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se ha especificado el codec, ingrese ó elija uno de la lista", vbCritical, Form1.Caption
End Sub

Public Sub FEMsgChoiceOptCopyFormatOfFile()
On Error GoTo ErrH
MsgBox LangData(58), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Seleccione alguna opción de la lista", vbCritical, Form1.Caption
End Sub

Public Sub EditMMsgInputTestFile()
On Error GoTo ErrH
MsgBox LangData(59), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Seleccione un archivo de prueba", vbCritical, Form1.Caption
End Sub

Public Sub EditMMsgFiltersListError()
On Error GoTo ErrH
MsgBox LangData(60), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al listar los filtros", vbCritical, Form1.Caption
End Sub

Public Sub EditMMsgValCropSecNoValid()
On Error GoTo ErrH
MsgBox LangData(61), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Valores ingresados no validos", vbCritical, Form1.Caption
End Sub

Public Sub EditMMsgInfoFileTestNotFound_Dur()
On Error GoTo ErrH
MsgBox LangData(62), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se dispone información sobre la duración del archivo de prueba", vbCritical, Form1.Caption
End Sub

Public Sub EditMMsgInfoFileTestNotFound_Frame()
On Error GoTo ErrH
MsgBox LangData(63), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se pueden extraer cuadros del archivo de prueba", vbCritical, Form1.Caption
End Sub

Public Sub EditMMsgCanotDetectCropPar()
On Error GoTo ErrH
MsgBox LangData(64), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al intentar detectar bordes", vbCritical, Form1.Caption
End Sub

Public Sub MsgFFplayError(Optional Mensaje As String)
On Error GoTo ErrH
MsgBox LangData(65) & vbCrLf & Mensaje, vbInformation, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al reproducir el archivo" & vbCrLf & Mensaje, vbInformation, Form1.Caption
End Sub

Public Sub EditMMsgFilterNotFound(ListF As String)
On Error GoTo ErrH
MsgBox LangData(66) & vbCrLf & ListF, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Los siguientes filtros no se encuentran:" & vbCrLf & ListF, vbCritical, Form1.Caption
End Sub

Public Function StrNotFound() As String
On Error GoTo ErrH
StrNotFound = LangData(67)
Exit Function
ErrH:
StrNotFound = "No encontrado"
End Function

Public Sub ECodecEditMsgPerFmtErr()
On Error GoTo ErrH
MsgBox LangData(68), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "El formato de extracción no debe requerir codecs externos ni generar múltiples archivos de salida", vbCritical, Form1.Caption
End Sub

Public Sub ECodecEditMsgPerFmtErr2()
On Error GoTo ErrH
MsgBox LangData(69), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "El formato no sirve para extraer la pista de audio ó video requerida", vbCritical, Form1.Caption
End Sub

Public Sub ConvMsgECErrorGenerarCmdL(Tipo As Byte)
On Error GoTo ErrH
If Tipo = 0 Then MsgBox LangData(70), vbCritical, Form1.Caption Else MsgBox LangData(71), vbCritical, Form1.Caption
Exit Sub
ErrH:
If Tipo = 0 Then MsgBox "Error al generar los comandos del codec externo de audio", vbCritical, Form1.Caption Else MsgBox "Error al generar los comandos del codec externo de video", vbCritical, Form1.Caption
End Sub

Public Sub ECodecMsgImportFail()
On Error GoTo ErrH
MsgBox LangData(72), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encontró información de codec externo en el formato seleccionado", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_LeerFmt()
On Error GoTo ErrH
MsgBox LangData(73), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al leer el perfil de formato", vbCritical, Form1.Caption
End Sub

Public Function Convert_Error_GenerarCmdL_ECodecANotFound() As VbMsgBoxResult
On Error GoTo ErrH
Convert_Error_GenerarCmdL_ECodecANotFound = MsgBox(LangData(74), vbYesNo, Form1.Caption)
Exit Function
ErrH:
Convert_Error_GenerarCmdL_ECodecANotFound = MsgBox("No se encuentra el ejecutable necesario para utilizar el codec de audio, ¿Buscar?", vbYesNo, Form1.Caption)
End Function

Public Function Convert_Error_GenerarCmdL_ECodecVNotFound() As VbMsgBoxResult
On Error GoTo ErrH
Convert_Error_GenerarCmdL_ECodecVNotFound = MsgBox(LangData(75), vbYesNo, Form1.Caption)
Exit Function
ErrH:
Convert_Error_GenerarCmdL_ECodecVNotFound = MsgBox("No se encuentra el ejecutable necesario para utilizar el codec de video, ¿Buscar?", vbYesNo, Form1.Caption)
End Function

Public Sub Convert_Error_GenerarCmdL_LeerPEdit()
On Error GoTo ErrH
MsgBox LangData(76), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al leer el perfil de edición", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_DelAll()
On Error GoTo ErrH
MsgBox LangData(77), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Se eligió eliminar todas las pistas del archivo", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_LeerFilto(Optional FiltroPath As String)
On Error GoTo ErrH
MsgBox LangData(78) & " " & FiltroPath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al leer el filtro " & FiltroPath, vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_CmdLEditA()
On Error GoTo ErrH
MsgBox LangData(79), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al generar los comandos de edición de audio", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_CmdLEditV()
On Error GoTo ErrH
MsgBox LangData(80), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al generar los comandos de edición de video", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_CmdLRecSec()
On Error GoTo ErrH
MsgBox LangData(81), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al generar los comandos de recorte de secuencia", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_FormatoNotFound(Optional FormatoPath As String)
Dim NombreFormato As String
NombreFormato = ScriptObj.NombreBase(FormatoPath)
On Error GoTo ErrH
MsgBox LangData(82) & " " & NombreFormato, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra el perfil de formato " & NombreFormato, vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_ECodecA()
On Error GoTo ErrH
MsgBox LangData(83), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al generar comandos para codificar audio", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_ECodecV()
On Error GoTo ErrH
MsgBox LangData(84), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al generar comandos para codificar video", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_PEditNotFound(Optional PEditPath As String)
On Error GoTo ErrH
MsgBox LangData(85) & " " & PEditPath, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra el perfil de edición " & PEditPath, vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_OutExt()
On Error GoTo ErrH
MsgBox LangData(86), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Debe especificar una extensión de archivo", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_MultiE()
On Error GoTo ErrH
MsgBox LangData(87), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Uno ó mas filtros necesitan varios archivos de entrada, elija 'Guardar como Archivo'", vbCritical, Form1.Caption
End Sub

Public Sub Convert_Error_GenerarCmdL_TesTime()
On Error GoTo ErrH
MsgBox LangData(88), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Duración de prueba no válida", vbCritical, Form1.Caption
End Sub

Public Function Convert_Qst_ActualizarRutaECodec() As VbMsgBoxResult
On Error GoTo ErrH
Convert_Qst_ActualizarRutaECodec = MsgBox(LangData(89), vbYesNo, Form1.Caption)
Exit Function
ErrH:
Convert_Qst_ActualizarRutaECodec = MsgBox("¿Actualizar la ubicación del ejecutable?", vbYesNo, Form1.Caption)
End Function

Public Sub Convert_Err_ActualizarRutaECodec()
On Error GoTo ErrH
MsgBox LangData(90), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al guardar la ruta", vbCritical, Form1.Caption
End Sub

Public Sub Convert_SelectFile4Test()
On Error GoTo ErrH
MsgBox LangData(91), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Seleccione un archivo de la lista para realizar la prueba", vbInformation, Form1.Caption
End Sub

Public Sub Convert_EspecifiqueSalida()
On Error GoTo ErrH
MsgBox LangData(92), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se ha especificado una ruta de salida", vbCritical, Form1.Caption
End Sub

Public Sub Convert_AddFiles2List()
On Error GoTo ErrH
MsgBox LangData(93), vbInformation, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se han agregado archivos a la lista", vbInformation, Form1.Caption
End Sub

Public Function Convert_Str_AllFiles() As String
On Error GoTo ErrH
Convert_Str_AllFiles = LangData(94)
Exit Function
ErrH:
Convert_Str_AllFiles = "<todos los archivos>"
End Function

Public Function Convert_Str_Errores() As String
On Error GoTo ErrH
Convert_Str_Errores = LangData(95)
Exit Function
ErrH:
Convert_Str_Errores = "Errores: "
End Function

Public Function Convert_Str_ExtrayendoAudio() As String
On Error GoTo ErrH
Convert_Str_ExtrayendoAudio = LangData(96)
Exit Function
ErrH:
Convert_Str_ExtrayendoAudio = "Extrayendo audio"
End Function

Public Function Convert_Str_CodificandoAudio() As String
On Error GoTo ErrH
Convert_Str_CodificandoAudio = LangData(97)
Exit Function
ErrH:
Convert_Str_CodificandoAudio = "Codificando audio"
End Function

Public Function Convert_Str_Pase1() As String
On Error GoTo ErrH
Convert_Str_Pase1 = LangData(98)
Exit Function
ErrH:
Convert_Str_Pase1 = "(pase 1)"
End Function

Public Function Convert_Str_Pase2() As String
On Error GoTo ErrH
Convert_Str_Pase2 = LangData(99)
Exit Function
ErrH:
Convert_Str_Pase2 = "(pase 2)"
End Function

Public Function Convert_Str_ExtrayendoVideo() As String
On Error GoTo ErrH
Convert_Str_ExtrayendoVideo = LangData(100)
Exit Function
ErrH:
Convert_Str_ExtrayendoVideo = "Extrayendo video"
End Function

Public Function Convert_Str_CodificandoVideo() As String
On Error GoTo ErrH
Convert_Str_CodificandoVideo = LangData(101)
Exit Function
ErrH:
Convert_Str_CodificandoVideo = "Codificando video"
End Function

Public Function Convert_Str_MezclandoAV() As String
On Error GoTo ErrH
Convert_Str_MezclandoAV = LangData(102)
Exit Function
ErrH:
Convert_Str_MezclandoAV = "Mezclando audio/video"
End Function

Public Function Convert_Str_Convirtiendo() As String
On Error GoTo ErrH
Convert_Str_Convirtiendo = LangData(103)
Exit Function
ErrH:
Convert_Str_Convirtiendo = "Convirtiendo"
End Function

Public Function Convert_Str_CantIniProc() As String
On Error GoTo ErrH
Convert_Str_CantIniProc = LangData(104)
Exit Function
ErrH:
Convert_Str_CantIniProc = "No se pudo iniciar el proceso"
End Function

Public Function Convert_Str_ConvError() As String
On Error GoTo ErrH
Convert_Str_ConvError = LangData(105)
Exit Function
ErrH:
Convert_Str_ConvError = "Error al convertir"
End Function

Public Function Convert_Qst_StopCon() As VbMsgBoxResult
On Error GoTo ErrH
Convert_Qst_StopCon = MsgBox(LangData(106), vbYesNoCancel, Form1.Caption)
Exit Function
ErrH:
Convert_Qst_StopCon = MsgBox("¿Detener la conversión?", vbYesNoCancel, Form1.Caption)
End Function

Public Sub Convert_Qst_StopCon4Extit()
On Error GoTo ErrH
MsgBox LangData(107), vbInformation, Form1.Caption
Exit Sub
ErrH:
MsgBox "Detenga el proceso antes de salir", vbInformation, Form1.Caption
End Sub

Public Function Convert_Str_ProcesoTermino() As String
On Error GoTo ErrH
Convert_Str_ProcesoTermino = LangData(108)
Exit Function
ErrH:
Convert_Str_ProcesoTermino = "El proceso terminó"
End Function

Public Function Convert_Str_ProcesoDetenido() As String
On Error GoTo ErrH
Convert_Str_ProcesoDetenido = LangData(109)
Exit Function
ErrH:
Convert_Str_ProcesoDetenido = "El proceso fue detenido"
End Function

Public Function Convert_str_PruebaFinalizada() As String
On Error GoTo ErrH
Convert_str_PruebaFinalizada = LangData(110)
Exit Function
ErrH:
Convert_str_PruebaFinalizada = "Prueba finalizada"
End Function

Public Function Convert_str_PruebaFileSize() As String
On Error GoTo ErrH
Convert_str_PruebaFileSize = LangData(111)
Exit Function
ErrH:
Convert_str_PruebaFileSize = "Tamaño de archivo:"
End Function

Public Function Convert_str_PruebaQstPlay() As String
On Error GoTo ErrH
Convert_str_PruebaQstPlay = LangData(112)
Exit Function
ErrH:
Convert_str_PruebaQstPlay = "¿Reproducir el archivo?"
End Function

Public Function Convert_str_CantCreateOutDir() As String
On Error GoTo ErrH
Convert_str_CantCreateOutDir = LangData(113)
Exit Function
ErrH:
Convert_str_CantCreateOutDir = "No se pudo crear el directorio de salida"
End Function

Public Function Convert_str_PruebaQstViewFiles() As String
On Error GoTo ErrH
Convert_str_PruebaQstViewFiles = LangData(114)
Exit Function
ErrH:
Convert_str_PruebaQstViewFiles = "¿Ver archivos?"
End Function

Public Function Convert_InputTestTime() As String
On Error GoTo ErrH
Convert_InputTestTime = InputBox(LangData(115), Form1.Caption, "20")
Exit Function
ErrH:
Convert_InputTestTime = InputBox("Ingrese los segundos a convertir:", Form1.Caption, "20")
End Function

Public Sub Grabador_ExitFFplay(Mensaje As String)
On Error GoTo ErrH
MsgBox LangData(116) & vbCrLf & Mensaje, vbInformation, Form1.Caption
Exit Sub
ErrH:
MsgBox "ffplay finalizó" & vbCrLf & Mensaje, vbInformation, Form1.Caption
End Sub

Public Sub Grabador_Msg_DuracionNoValida()
On Error GoTo ErrH
MsgBox LangData(117), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Duración no válida", vbCritical, Form1.Caption
End Sub

Public Sub Grabador_Msg_FormatoNoValido()
On Error GoTo ErrH
MsgBox LangData(118), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "El formato elegido no debe utilizar codecs externos", vbCritical, Form1.Caption
End Sub

Public Sub Grabador_Msg_ffmpegerror(MsgConsola As String)
On Error GoTo ErrH
MsgBox LangData(119) & vbCrLf & MsgConsola, vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error en ffmpeg:" & vbCrLf & MsgConsola, vbCritical, Form1.Caption
End Sub

Public Function SetInpBuffSize(Default As String) As String
On Error GoTo ErrH
SetInpBuffSize = InputBox(LangData(120), Form1.Caption, Default)
Exit Function
ErrH:
SetInpBuffSize = InputBox("Ingrese el tamaño de buffer en MBytes (ingrese '0' para usar el tamaño predeterminado)", Form1.Caption, Default)
End Function

Public Sub Grabador_Msg_BuffSizeNoValid()
On Error GoTo ErrH
MsgBox LangData(121), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Tamaño de buffer no válido", vbCritical, Form1.Caption
End Sub

Public Function Grabador_Str_Terminado()
On Error GoTo ErrH
Grabador_Str_Terminado = LangData(122)
Exit Function
ErrH:
Grabador_Str_Terminado = "Terminado"
End Function

Public Sub Grabador_Msg_OrigenNoEspecificado()
On Error GoTo ErrH
MsgBox LangData(123), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Origen no ha sido especificado", vbCritical, Form1.Caption
End Sub

Public Sub Emisor_Msg_DirectionNotFound()
On Error GoTo ErrH
MsgBox LangData(124), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se ha especificado una dirección", vbCritical, Form1.Caption
End Sub

Public Sub Emisor_Msg_RepitNumNoValid()
On Error GoTo ErrH
MsgBox LangData(125), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "Número de repeticiones no válido", vbCritical, Form1.Caption
End Sub

Public Sub FF_ffmpegNotFound()
On Error GoTo ErrH
MsgBox LangData(126), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra ffmpeg.exe", vbCritical, Form1.Caption
End Sub

Public Sub FF_ffplayNotFound()
On Error GoTo ErrH
MsgBox LangData(127), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra ffplay.exe", vbCritical, Form1.Caption
End Sub

Public Sub FF_ffprobeNotFound()
On Error GoTo ErrH
MsgBox LangData(128), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra ffprobe.exe", vbCritical, Form1.Caption
End Sub

Public Function PerfilName_Manual() As String
On Error GoTo ErrH
PerfilName_Manual = LangData(129)
Exit Function
ErrH:
PerfilName_Manual = "Manual"
End Function

Public Function PerfilName_Automatic() As String
On Error GoTo ErrH
PerfilName_Automatic = LangData(130)
Exit Function
ErrH:
PerfilName_Automatic = "Automático"
End Function

Public Function PerfilName_Nothing() As String
On Error GoTo ErrH
PerfilName_Nothing = LangData(131)
Exit Function
ErrH:
PerfilName_Nothing = "Ninguno"
End Function

Public Function Msg_OutputMuxerCannotbecopy() As String
On Error GoTo ErrH
Msg_OutputMuxerCannotbecopy = LangData(537)
Exit Function
ErrH:
Msg_OutputMuxerCannotbecopy = "Solo se puede utilizar <copy> como formato de salida cuando se codifica con un codec externo"

End Function

''''''''''''''''''''''''''''''''''''''''''
'CAPTIONS
''''''''''''''''''''''''''''''''''''''''''

Public Sub Form1Captions()
'Dim Cadena As String
On Error GoTo ErrH
With Form1
.About_EC.Caption = LangData(132)
.Combo1.List(0) = LangData(133)
.Combo1.List(1) = LangData(134)
.Combo1.List(2) = LangData(135)
.Combo1.List(3) = LangData(136)
'Cadena = .Combo2.Text
.Combo2.List(0) = "<" & PerfilName_Automatic & ">"
'.Combo2.Text = Cadena
'Cadena = .Combo3.Text
'.Combo3.List(0) = "<" & PerfilName_Automatic & ">"
'.Combo3.List(1) = "<" & PerfilName_Manual & ">"
'.Combo3.Text = Cadena
'Cadena = .Combo4.Text
'.Combo4.List(0) = "<" & PerfilName_Nothing & ">"
'.Combo4.List(1) = "<" & PerfilName_Manual & ">"
'.Combo4.Text = Cadena
.Command5.Caption = LangData(137)
.Conv_Opt_2pass.Caption = LangData(138)
.Conv_Opt_DelFiles.Caption = LangData(139)
.Conv_Opt_Reemplazar.Caption = LangData(140)
.Conv_Opt_EnableThreading.Caption = LangData(618)
.Conv_Options.Caption = LangData(141)
.Convertir_Comandos.Caption = LangData(142)
.Convertir_Iniciar.Caption = LangData(143)
.Convertir_Prueba.Caption = LangData(144)
.File_Exit.Caption = LangData(145)
.Frame1.Caption = LangData(146)
.Frame2.Caption = LangData(147)
.Frame3.Caption = LangData(148)
.Help_About.Caption = LangData(149)
.Command21.ToolTipText = LangData(149)
.Help_AboutCdda2wav.Caption = LangData(150)
.Help_ffhelp.Caption = LangData(151)
.Help_ffLic.Caption = LangData(152)
.Help_ProgramHelp.Caption = LangData(153)
.Herramientas_AdminF.Caption = LangData(154)
.Herramientas_AdminFiltro.Caption = LangData(155)
.Herramientas_CodecExtA.Caption = LangData(156)
.Herramientas_CodecExtV.Caption = LangData(157)
.Herramientas_EditorFiltros.Caption = LangData(158)
.Herramientas_Rutas.Caption = LangData(159)
.Label1.Caption = LangData(160)
.Label2.Caption = LangData(161)
.Label3.Caption = LangData(162)
.Menu_Archivo.Caption = LangData(163)
.Command12.ToolTipText = LangData(164)
.Menu_Archivo_AgDir.Caption = LangData(164)
.Command1.ToolTipText = LangData(165)
.Menu_Archivo_Agregar.Caption = LangData(165)
.Command14.ToolTipText = LangData(166)
.Menu_Archivo_AgregarCD.Caption = LangData(166)
.Command11.ToolTipText = LangData(167)
.Menu_Archivo_Analizar.Caption = LangData(167)
.Command2.ToolTipText = LangData(168)
.Menu_Archivo_Quitar.Caption = LangData(168)
.Command13.ToolTipText = LangData(169)
.Menu_Archivo_QuitarTodos.Caption = LangData(169)
.Command15.ToolTipText = LangData(170)
.Menu_Archivo_Reproducir.Caption = LangData(170)
.Menu_Convertir.Caption = LangData(171)
.Menu_Help.Caption = LangData(172)
.Menu_Herramientas.Caption = LangData(173)
.Tools_AdmPEdit.Caption = LangData(174)
.Tools_CDExtract.Caption = LangData(175)
.Command24.ToolTipText = LangData(175)
.Tools_ECEdit.Caption = LangData(176)
.Tools_EditPerfEdit.Caption = LangData(177)
.Tools_EmitirList.Caption = LangData(178)
.Command25.ToolTipText = LangData(178)
.Tools_FmtEdit.Caption = LangData(179)
.Tools_Grab.Caption = LangData(180)
.Command23.ToolTipText = LangData(180)
.Herramientas_CodecFFA.Caption = .Herramientas_CodecExtA.Caption & " (ffmpeg)"
.Herramientas_CodecFFV.Caption = .Herramientas_CodecExtV.Caption & " (ffmpeg)"
.File_Map.Caption = LangData(584)
.Command20.ToolTipText = LangData(584)
.Help_Online.Caption = LangData(585)
.Help_Donate.Caption = LangData(586)
.Command16.ToolTipText = LangData(588)
.Command26.ToolTipText = LangData(589)
.Tools_GotoAppDir.Caption = LangData(591)
.CnvOpt_QuitarConv.Caption = LangData(592)
.Help_AboutYoutubeDL.Caption = LangData(593)
.Tools_VideoDownloader.Caption = LangData(614)
.Command28.ToolTipText = LangData(614)
.Command16.ToolTipText = LangData(622)
.Command6.ToolTipText = LangData(623)
.Command8.ToolTipText = LangData(624)
.Command17.ToolTipText = LangData(625)
.Command18.ToolTipText = LangData(626)
.Command19.ToolTipText = LangData(627)
.Command22.ToolTipText = LangData(628)
End With
Exit Sub
ErrH:
With Form1
.About_EC.Caption = "Acerca del codec externo..."
.Combo1.List(0) = "Archivo (concatenar):"
.Combo1.List(1) = "Archivo:"
.Combo1.List(2) = "Guardar en directorio de archivo original"
.Combo1.List(3) = "Guardar en el directorio:"
.Combo2.List(0) = "<" & PerfilName_Automatic & ">"
'.Combo3.List(0) = "<" & PerfilName_Automatic & ">"
'.Combo3.List(1) = "<" & PerfilName_Manual & ">"
'.Combo4.List(0) = "<" & PerfilName_Nothing & ">"
'.Combo4.List(1) = "<" & PerfilName_Manual & ">"
.Command5.Caption = "Convertir"
.Conv_Opt_2pass.Caption = "2 pases"
.Conv_Opt_DelFiles.Caption = "Eliminar archivos originales"
.Conv_Opt_Reemplazar.Caption = "Reemplazar archivos"
.Conv_Opt_EnableThreading.Caption = "Habilitar lectura de consola en hilo"
.Conv_Options.Caption = "Opciones"
.Convertir_Comandos.Caption = "Comandos a ejecutar"
.Convertir_Iniciar.Caption = "Iniciar"
.Convertir_Prueba.Caption = "Realizar una prueba"
.File_Exit.Caption = "Salir"
.Frame1.Caption = "Archivos a convertir"
.Frame2.Caption = "Guardar como..."
.Frame3.Caption = "Configuración del convertidor (opcional)"
.Help_About.Caption = "Acerca de este programa"
.Command21.ToolTipText = "Acerca de este programa"
.Help_AboutCdda2wav.Caption = "Acerca de cdda2wav.exe"
.Help_ffhelp.Caption = "Ayuda de ffmpeg"
.Help_ffLic.Caption = "Licencia de ffmpeg"
.Help_ProgramHelp.Caption = "Ayuda de este programa"
.Herramientas_AdminF.Caption = "Administrar formatos"
.Herramientas_AdminFiltro.Caption = "Administrar filtros"
.Herramientas_CodecExtA.Caption = "Administrar codecs externos de audio"
.Herramientas_CodecExtV.Caption = "Administrar codecs externos de video"
.Herramientas_EditorFiltros.Caption = "Editor de filtros"
.Herramientas_Rutas.Caption = "Rutas de acceso"
.Label1.Caption = "Extensión de archivo:"
.Label2.Caption = "Formato:"
.Label3.Caption = "Ediciones:"
.Menu_Archivo.Caption = "Archivo"
.Menu_Archivo_AgDir.Caption = "Agregar de directorio"
.Menu_Archivo_Agregar.Caption = "Agregar"
.Menu_Archivo_AgregarCD.Caption = "Agregar pistas de CD"
.Menu_Archivo_Analizar.Caption = "Analizar archivo seleccionado"
.Menu_Archivo_Quitar.Caption = "Quitar archivo seleccionado"
.Menu_Archivo_QuitarTodos.Caption = "Quitar todos"
.Menu_Archivo_Reproducir.Caption = "Reproducir archivo seleccionado"
.Command1.ToolTipText = "Agregar"
.Command2.ToolTipText = "Quitar archivo seleccionado"
.Command12.ToolTipText = "Agregar de directorio"
.Command14.ToolTipText = "Agregar pistas de CD"
.Command13.ToolTipText = "Quitar todos"
.Command11.ToolTipText = "Analizar archivo seleccionado"
.Command15.ToolTipText = "Reproducir archivo seleccionado"
.Menu_Convertir.Caption = "Convertir"
.Menu_Help.Caption = "Ayuda"
.Menu_Herramientas.Caption = "Herramientas"
.Tools_AdmPEdit.Caption = "Administrar perfiles de edición"
.Tools_CDExtract.Caption = "Extraer pistas de CD"
.Command24.ToolTipText = "Extraer pistas de CD"
.Tools_ECEdit.Caption = "Editor de codecs externos"
.Tools_EditPerfEdit.Caption = "Editor de perfiles de edición"
.Command25.ToolTipText = "Emitir en la red"
.Tools_EmitirList.Caption = "Emitir en la red"
.Tools_FmtEdit.Caption = "Editor de formatos"
.Command23.ToolTipText = "Grabar de dispositivo o red"
.Tools_Grab.Caption = "Grabar de dispositivo o red"
.Herramientas_CodecFFA.Caption = .Herramientas_CodecExtA.Caption & " (ffmpeg)"
.Herramientas_CodecFFV.Caption = .Herramientas_CodecExtV.Caption & " (ffmpeg)"
.File_Map.Caption = "Mapear archivo seleccionado"
.Command20.ToolTipText = "Mapear archivo seleccionado"
.Help_Online.Caption = "Ayuda online"
.Help_Donate.Caption = "Donar"
.Command16.ToolTipText = "Ordenar lista"
.Command26.ToolTipText = "Mostrar caja de arrastre"
.Tools_GotoAppDir.Caption = "Ir al directorio de la aplicación"
.CnvOpt_QuitarConv.Caption = "Quitar archivos convertidos"
.Help_AboutYoutubeDL.Caption = "Acerca de youtube-dl"
.Tools_VideoDownloader.Caption = "Descargar video"
.Command28.ToolTipText = "Descargar video"
.Command16.ToolTipText = "Ordenar archivos"
.Command6.ToolTipText = "Mover arriba"
.Command8.ToolTipText = "Mover abajo"
.Command17.ToolTipText = "Mover a la primera posición"
.Command18.ToolTipText = "Mover a la última posición"
.Command19.ToolTipText = "Atrás"
.Command22.ToolTipText = "Maximizar/minimizar lista"
End With
End Sub


Public Sub Form2Captions()
On Error GoTo ErrH
With Form2
.Caption = Form1.Tools_CDExtract.Caption
.Check1.Caption = LangData(181)
.Check2.Caption = LangData(182)
.Command2.Caption = LangData(183)
.Command3.Caption = LangData(184)
.Command4.Caption = LangData(185)
.Frame1.Caption = LangData(186)
.Frame2.Caption = LangData(187)
.Frame3.Caption = LangData(188)
.Label1.Caption = LangData(189)
End With
Exit Sub
ErrH:
With Form2
.Caption = Form1.Tools_CDExtract.Caption
.Check1.Caption = "Eliminar silencios"
.Check2.Caption = "Marcar/Desmarcar todo"
.Command2.Caption = "Extraer"
.Command3.Caption = "Detener"
.Command4.Caption = "Renombrar"
.Frame1.Caption = "Seleccione las pistas a extraer:"
.Frame2.Caption = "Directorio de salida:"
.Frame3.Caption = "Opciones"
.Label1.Caption = "Formato"
End With
End Sub

Public Sub Form3Captios()
On Error GoTo ErrH
With Form3
.Caption = LangData(190)
.Command1.ToolTipText = LangData(191)
.Command2.ToolTipText = LangData(192)
.Command3.ToolTipText = LangData(193)
.Command4.ToolTipText = LangData(194)
.Command5.ToolTipText = LangData(195)
.Command6.ToolTipText = LangData(196)
.Command7.ToolTipText = LangData(197)
.Label1.Caption = LangData(198)
.Label1.Tag = LangData(199)
End With
Exit Sub
ErrH:
With Form3
.Caption = "Administrador de archivos"
.Command1.ToolTipText = "Eliminar"
.Command2.ToolTipText = "Renombrar"
.Command3.ToolTipText = "Cancelar"
.Command4.ToolTipText = "Nuevo"
.Command5.ToolTipText = "Aceptar"
.Command6.ToolTipText = "Copiar"
.Command7.ToolTipText = "Editar"
.Label1.Caption = "Guardar como:"
.Label1.Tag = "Abrir:"
End With
End Sub

Public Sub Form4Captions()
On Error GoTo ErrH
With Form4
.Caption = Form1.Herramientas_EditorFiltros.Caption
.Check1.Caption = LangData(200)
.Check2.Caption = LangData(201)
.Check3.Caption = LangData(202)
.Combo1.List(0) = LangData(203)
.Combo1.List(1) = LangData(204)
.Combo1.List(2) = LangData(205)
.Command2.Caption = LangData(206)
.Command3.Caption = LangData(207)
.File_Close.Caption = LangData(208)
.File_Exit.Caption = LangData(209)
.File_Open.Caption = LangData(210)
.File_Save.Caption = LangData(211)
.File_SaveAs.Caption = LangData(212)
.File_UndoChanges.Caption = LangData(213)
.Frame1.Caption = LangData(214)
.Frame2.Caption = LangData(215)
.Frame3.Caption = LangData(216)
.Frame3.Tag = LangData(217)
.Label1.Caption = LangData(218)
.Label2.Caption = LangData(219)
.Label3.Caption = LangData(220)
.Menu_File.Caption = LangData(221)
End With
Exit Sub
ErrH:
With Form4
.Caption = Form1.Herramientas_EditorFiltros.Caption
.Check1.Caption = "Requiere varios archivos de entrada"
.Check2.Caption = "Solo ejecutar el convertidor (no abre el reproductor)"
.Check3.Caption = "Silenciar audio"
.Combo1.List(0) = "Audio"
.Combo1.List(1) = "Video"
.Combo1.List(2) = "Complejo"
.Command2.Caption = "Probar"
.Command3.Caption = "Detener / Atrás"
.File_Close.Caption = "Cerrar"
.File_Exit.Caption = "Salir"
.File_Open.Caption = "Abrir"
.File_Save.Caption = "Guardar"
.File_SaveAs.Caption = "Guardar como..."
.File_UndoChanges.Caption = "Descartar cambios"
.Frame1.Caption = "Configuración del filtro"
.Frame2.Caption = "Probar filtro"
.Frame3.Caption = "Espere..."
.Frame3.Tag = "Finalizado"
.Label1.Caption = "Tipo:"
.Label2.Caption = "Parámetros:"
.Label3.Caption = "Usar el (los) archivos:"
.Menu_File.Caption = "Archivo"
End With
End Sub

Public Sub Form5Captios()
On Error GoTo ErrH
With Form5
.Caption = Form1.Tools_ECEdit.Caption
.Check1.Caption = LangData(222)
.Combo1.List(0) = LangData(223)
.Combo1.List(1) = LangData(224)
.Combo3.List(0) = LangData(225)
.Combo3.List(1) = LangData(226)
.Combo3.List(2) = LangData(227)
.Command10.Caption = LangData(228)
.Command11.Caption = LangData(229)
.Command3.Caption = LangData(230)
.Command8.Caption = LangData(231)
.Command9.Caption = LangData(232)
.File_Close.Caption = LangData(233)
.File_Exit.Caption = LangData(234)
.File_ImportA.Caption = LangData(235)
.File_ImportV.Caption = LangData(236)
.File_OpenA.Caption = LangData(237)
.File_OpenV.Caption = LangData(238)
.File_Save.Caption = LangData(239)
.File_SaveAs.Caption = LangData(240)
.File_UndoChanges.Caption = LangData(241)
.Frame4.Caption = LangData(242)
.Label1.Caption = LangData(243)
.Label10.Caption = LangData(244)
.Label11.Caption = LangData(245)
.Label12.Caption = LangData(246)
.Label13.Caption = LangData(247)
.Label3.Caption = LangData(248)
.Label4.Caption = LangData(249)
.Label5.Caption = LangData(250)
.Label6.Caption = LangData(251)
.Label7.Caption = LangData(252)
.Label8.Caption = LangData(253)
.Label9.Caption = LangData(254)
.Menu_File.Caption = LangData(255)
.Menu_View.Caption = LangData(256)
.View_Doc.Caption = LangData(545)
.View_ffmpegHelp.Caption = Form1.Help_ffhelp.Caption
.View_ProgHelp.Caption = Form1.Help_ProgramHelp.Caption
Call Form5Captions_2
End With
Exit Sub
ErrH:
With Form5
.Caption = Form1.Tools_ECEdit.Caption
.Check1.Caption = "Solo valores sugeridos"
.Combo1.List(0) = "Audio"
.Combo1.List(1) = "Video"
.Combo3.List(0) = "Opcional"
.Combo3.List(1) = "Obligatorio"
.Combo3.List(2) = "Opcional sin valor"
.Command10.Caption = "Parámetros del códec"
.Command11.Caption = "Parámetros ffmpeg"
.Command3.Caption = "Aceptar"
.Command8.Caption = "Cancelar"
.Command9.Caption = "General"
.File_Close.Caption = "Cerrar"
.File_Exit.Caption = "Salir"
.File_ImportA.Caption = "Importar de formato (Audio)"
.File_ImportV.Caption = "Importar de formato (Video)"
.File_OpenA.Caption = "Abrir (Audio)"
.File_OpenV.Caption = "Abrir (Video)"
.File_Save.Caption = "Guardar"
.File_SaveAs.Caption = "Guardar como..."
.File_UndoChanges.Caption = "Descartar cambios"
.Frame4.Caption = "Modificar parámetro"
.Label1.Caption = "Ruta de ejecutable:"
.Label10.Caption = "Valor predeterminado:"
.Label11.Caption = "Valores sugeridos:"
.Label12.Caption = "Tipo:"
.Label13.Caption = "Extensión de archivos de salida:"
.Label3.Caption = "Acerca de..."
.Label4.Caption = "Extensión de archivo:"
.Label5.Caption = "Etiqueta:"
.Label6.Caption = "Tipo:"
.Label7.Caption = "Parámetros:"
.Label8.Caption = "Parámetros editables:"
.Label9.Caption = "Modificador cmd:"
.Menu_File.Caption = "Archivo"
.Menu_View.Caption = "Ver"
.View_Doc.Caption = "Documentación interna del ejecutable"
.View_ffmpegHelp.Caption = Form1.Help_ffhelp.Caption
.View_ProgHelp.Caption = Form1.Help_ProgramHelp.Caption
Call Form5Captions_2
End With
End Sub

Public Sub Form6Captions()
On Error GoTo ErrH
With Form6
.Label1.Caption = LangData(216)
.Caption = LangData(258)
.Check1.Caption = LangData(259)
.Frame1.Caption = LangData(260)
.Frame2.Caption = LangData(261)
.Command5.Caption = LangData(484)
End With
Exit Sub
ErrH:
With Form6
.Label1.Caption = "Espere..."
.Caption = "Visor de texto"
.Check1.Caption = "Coincidir mayúsculas"
.Frame1.Caption = "Buscar"
.Frame2.Caption = "Tamaño"
.Command5.Caption = "Detener"
End With
End Sub

Public Sub Form7Captions()
On Error GoTo ErrH
With Form7
.Caption = Form1.Tools_FmtEdit.Caption
.Check1.Caption = LangData(262)
.Combo6.List(0) = LangData(263)
.Combo6.List(1) = LangData(264)
.Combo6.List(2) = LangData(265)
.Combo6.List(3) = LangData(266)
.Command1.ToolTipText = LangData(267)
.Command10.Caption = LangData(268)
.Command11.Caption = LangData(269)
.Command12.ToolTipText = LangData(270)
.Command2.ToolTipText = LangData(271)
.Command3.Caption = LangData(272)
.Command4.Caption = LangData(273)
.Command5.Caption = LangData(274)
.Command6.Caption = LangData(275)
.Command7.Caption = LangData(276)
.Command8.Caption = LangData(277)
.Command9.Caption = LangData(278)
.File_CleanAct.Caption = LangData(279)
.File_CleanAll.Caption = LangData(280)
.File_Close.Caption = LangData(281)
.File_Exit.Caption = LangData(282)
.File_Open.Caption = LangData(283)
.File_Save.Caption = LangData(284)
.File_SaveAs.Caption = LangData(285)
.File_UndoChanges.Caption = LangData(286)
.FindEXE_A.Caption = LangData(287)
.FindEXE_V.Caption = LangData(288)
.Frame1.Caption = LangData(289)
.Frame2.Caption = LangData(290)
.Frame3.Tag = LangData(291)
.Frame4.Caption = LangData(292)
.Frame5.Caption = LangData(293)
.Help_AboutECA.Caption = LangData(294)
.Help_AboutECV.Caption = LangData(295)
.Help_Documentacion.Caption = LangData(296)
.Help_ffBitStreamFilters.Caption = LangData(297)
.Help_ffCodecHelp.Caption = LangData(298)
.Help_ffCodecs.Caption = LangData(299)
.Help_ffDecoders.Caption = LangData(300)
.Help_ffEncoders.Caption = LangData(301)
.Help_ffExtend.Caption = LangData(302)
.Help_ffFilters.Caption = LangData(303)
.Help_ffFormatHelp.Caption = LangData(304)
.Help_ffFormats.Caption = LangData(305)
.Help_ffFull.Caption = LangData(306)
.Help_ffLic.Caption = LangData(307)
.Help_ffmpeg.Caption = LangData(308)
.Help_ffNormal.Caption = LangData(309)
.Help_ffPixFmt.Caption = LangData(310)
.Import_OfCmdL.Caption = LangData(311)
.Import_OfFile.Caption = LangData(312)
.Label1.Caption = LangData(313)
.Label2.Caption = LangData(314)
.Label3.Caption = LangData(315)
.Label4.Caption = LangData(316)
.Label5.Caption = LangData(317)
.Label5.Tag = LangData(216)
.LoadECA_Menu.Caption = LangData(318)
.LoadECV_Menu.Caption = LangData(319)
.LoadFCA_Menu.Caption = .LoadECA_Menu.Caption & " (ffmpeg)"
.LoadFCV_Menu.Caption = .LoadECV_Menu.Caption & " (ffmpeg)"
.Menu_File.Caption = LangData(320)
.Menu_Help.Caption = LangData(321)
.Menu_Options.Caption = LangData(322)
.Opt_FindExe.Caption = LangData(323)
.Option1.Caption = LangData(324)
.Option2.Caption = LangData(325)
.Option3.Caption = LangData(326)
.Option4.Caption = LangData(327)
.Option5.Caption = LangData(328)
.Option6.Caption = LangData(329)
.ReloadECA_Menu.Caption = LangData(330)
.ReloadECV_Menu.Caption = LangData(331)
.UnloadECA_Menu.Caption = LangData(332)
.UnloadECV_Menu.Caption = LangData(333)
End With
Exit Sub
ErrH:
With Form7
.Caption = Form1.Tools_FmtEdit.Caption
.Check1.Caption = "Marcar / desmarcar todo"
.Combo6.List(0) = "Entrada - General"
.Combo6.List(1) = "Salida - General"
.Combo6.List(2) = "Salida - Audio"
.Combo6.List(3) = "Salida - Video"
.Command1.ToolTipText = "Aceptar"
.Command10.Caption = "Aceptar"
.Command11.Caption = "Atrás"
.Command12.ToolTipText = "Cargar"
.Command2.ToolTipText = "Cancelar"
.Command3.Caption = "Ver"
.Command4.Caption = "Ver"
.Command5.Caption = "Atrás"
.Command6.Caption = "Atrás"
.Command7.Caption = "Atrás"
.Command8.Caption = "Aceptar"
.Command9.Caption = "Atrás"
.File_CleanAct.Caption = "Limpiar actuales"
.File_CleanAll.Caption = "Limpiar todo"
.File_Close.Caption = "Cerrar"
.File_Exit.Caption = "Salir"
.File_Open.Caption = "Abrir"
.File_Save.Caption = "Guardar"
.File_SaveAs.Caption = "Guardar como..."
.File_UndoChanges.Caption = "Descartar cambios"
.FindEXE_A.Caption = "Codec externo de audio"
.FindEXE_V.Caption = "Codec externo de video"
.Frame1.Caption = "Opciones avanzadas del contenedor"
.Frame2.Caption = "Opciones avanzadas del codec"
.Frame3.Caption = "Acerca del codec..."
.Frame4.Caption = "Obtener valores de línea de comandos"
.Frame5.Caption = "Obtener valores desde archivo"
.Help_AboutECA.Caption = "Acerca del codec externo de audio"
.Help_AboutECV.Caption = "Acerca del codec externo de video"
.Help_Documentacion.Caption = "Documentación"
.Help_ffBitStreamFilters.Caption = "Filtros bitstream"
.Help_ffCodecHelp.Caption = "Opciones avanzadas del codec"
.Help_ffCodecs.Caption = "Codecs"
.Help_ffDecoders.Caption = "Codecs de entrada"
.Help_ffEncoders.Caption = "Codecs de salida"
.Help_ffExtend.Caption = "Extendida"
.Help_ffFilters.Caption = "Filtros"
.Help_ffFormatHelp.Caption = "Opciones avanzadas del formato"
.Help_ffFormats.Caption = "Formatos"
.Help_ffFull.Caption = "Completa"
.Help_ffLic.Caption = "Licencia de ffmpeg"
.Help_ffmpeg.Caption = "ffmpeg"
.Help_ffNormal.Caption = "Normal"
.Help_ffPixFmt.Caption = "Formatos de pixel"
.Import_OfCmdL.Caption = "Obtener valores de línea de comandos"
.Import_OfFile.Caption = "Obtener valores de archivo"
.Label1.Caption = "No hay parámetros qué configurar en esta categoría"
.Label2.Caption = "Parámetros de salida:"
.Label3.Caption = "Parámetros de entrada:"
.Label4.Caption = "Seleccione los valores a copiar:"
.Label5.Caption = "Obteniendo información de ffmpeg..."
.Label5.Tag = "Espere..."
.LoadECA_Menu.Caption = "Cargar codec externo de audio"
.LoadECV_Menu.Caption = "Cargar codec externo de video"
.LoadFCA_Menu.Caption = .LoadECA_Menu.Caption & " (ffmpeg)"
.LoadFCV_Menu.Caption = .LoadECV_Menu.Caption & " (ffmpeg)"
.Menu_File.Caption = "Archivo"
.Menu_Help.Caption = "Ayuda"
.Menu_Options.Caption = "Opciones"
.Opt_FindExe.Caption = "Buscar ejecutable"
.Option1.Caption = "Formato de salida"
.Option2.Caption = "Formato de entrada"
.Option3.Caption = "Codec de audio"
.Option4.Caption = "Codec de video"
.Option5.Caption = "Ver opciones de codificación"
.Option6.Caption = "Ver opciones de decodificación"
.ReloadECA_Menu.Caption = "Recargar codec externo de audio"
.ReloadECV_Menu.Caption = "Recargar codec externo de video"
.UnloadECA_Menu.Caption = "Descargar codec externo de audio"
.UnloadECV_Menu.Caption = "Descargar codec externo de video"
End With
End Sub

Public Sub Form8Captions()
On Error GoTo ErrH
With Form8
.Label19.Caption = LangData(216)
.Caption = Form1.Tools_EditPerfEdit.Caption
.Check1.Caption = LangData(334)
.Check3.Caption = LangData(335)
.Check4.Caption = LangData(336)
.Check7.Caption = LangData(337)
.Combo10.List(0) = LangData(338)
.Combo10.List(1) = LangData(339)
.Combo10.List(2) = LangData(340)
.Combo11.List(0) = LangData(341)
.Combo11.List(1) = LangData(342)
.Combo11.List(2) = LangData(343)
.Combo12.List(0) = LangData(344)
.Combo12.List(1) = LangData(345)
.Combo12.List(2) = LangData(346)
.Combo2.List(0) = LangData(347)
.Combo2.List(1) = LangData(348)
.Combo2.List(2) = LangData(349)
.Combo2.List(3) = LangData(350)
.Combo3.List(0) = LangData(351)
.Combo3.List(1) = LangData(352)
.Combo3.List(2) = LangData(353)
.Combo3.List(3) = LangData(354)
.Combo4.List(0) = LangData(355)
.Combo4.List(1) = LangData(356)
.Combo4.List(2) = LangData(357)
.Combo4.List(3) = LangData(358)
.Combo4.List(4) = LangData(359)
.Combo5.List(0) = LangData(360)
.Combo5.List(1) = LangData(361)
.Combo5.List(2) = LangData(362)
.Combo5.List(3) = LangData(363)
.Combo5.List(4) = LangData(364)
.Combo6.List(0) = LangData(365)
.Combo6.List(1) = LangData(366)
.Combo6.List(2) = LangData(367)
.Combo6.List(3) = LangData(368)
.Combo7.List(0) = LangData(369)
.Combo7.List(1) = LangData(370)
.Combo7.List(2) = LangData(371)
.Combo7.List(3) = LangData(372)
.Combo8.List(1) = LangData(373)
.Combo8.List(2) = LangData(374)
.Combo9.List(0) = LangData(375)
.Combo9.List(1) = LangData(376)
.Combo9.List(2) = LangData(377)
.Command1.Caption = LangData(378)
.Command10.Caption = LangData(379)
.Command11.Caption = LangData(380)
.Command13.Caption = LangData(381)
.Command14.ToolTipText = LangData(382)
.Command15.ToolTipText = LangData(383)
.Command3.ToolTipText = LangData(384)
.Command4.Caption = LangData(385)
.Command5.Caption = LangData(386)
.Command6.Caption = LangData(387)
.Command7.Caption = LangData(388)
.Command8.Caption = LangData(389)
.Equ_Agudos.Caption = LangData(390)
.Equ_Auriculares.Caption = LangData(391)
.Equ_Clasica.Caption = LangData(392)
.Equ_Club.Caption = LangData(393)
.Equ_Dance.Caption = LangData(394)
.Equ_enVivo.Caption = LangData(395)
.Equ_Fiesta.Caption = LangData(396)
.Equ_GranSalon.Caption = LangData(397)
.Equ_Graves.Caption = LangData(398)
.Equ_GravesYAgudos.Caption = LangData(399)
.Equ_llano.Caption = LangData(400)
.Equ_Pop.Caption = LangData(401)
.Equ_Reggae.Caption = LangData(402)
.Equ_ROck.Caption = LangData(403)
.Equ_ROckSuave.Caption = LangData(404)
.Equ_Ska.Caption = LangData(405)
.Equ_Suave.Caption = LangData(406)
.Equ_Tecno.Caption = LangData(407)
.File_Close.Caption = LangData(408)
.File_DescChan.Caption = LangData(409)
.File_Exit.Caption = LangData(410)
.File_Open.Caption = LangData(411)
.File_Save.Caption = LangData(412)
.File_SaveAs.Caption = LangData(413)
.Label1.Caption = LangData(414)
.Label10.Caption = LangData(415)
.Label11.Caption = LangData(416)
.Label12.Caption = LangData(417)
.Label13.Caption = LangData(418)
.Label14.Caption = LangData(419)
.Label15.Caption = LangData(420)
.Label16.Caption = LangData(421)
.Label17.Caption = LangData(422)
.Label18.Caption = LangData(423)
.Label2.Caption = LangData(424)
.Label21.Caption = LangData(425)
.Label22.Caption = LangData(426)
.Label23.Caption = LangData(427)
.Label3.Caption = LangData(428)
.Label4.Caption = LangData(429)
.Label5.Caption = LangData(430)
.Label6.Caption = LangData(431)
.Label7.Caption = LangData(432)
.Label8.Caption = LangData(433)
.Label9.Caption = LangData(434)
.List1.List(0) = LangData(435)
.List1.List(1) = LangData(436)
.List1.List(2) = LangData(437)
.List1.List(3) = LangData(438)
.List1.List(4) = LangData(439)
.List1.List(5) = LangData(440)
.List1.List(6) = LangData(441)
.List1.List(7) = LangData(442)
.List1.List(8) = LangData(443)
.List1.List(9) = LangData(538)
.List1.List(10) = LangData(554)
.Menu_File.Caption = LangData(444)
.Menu_Options.Caption = LangData(445)
.Opt_CleanAct.Caption = LangData(446)
.Opt_CleanAll.Caption = LangData(447)
.Opt_ConRelDim.Caption = LangData(448)
.Opt_CopyRAFileTest.Caption = LangData(449)
.Opt_CopySizeTestFile.Caption = LangData(450)
.Opt_CutGrap.Caption = LangData(451)
.Opt_Docu.Caption = LangData(452)
.Opt_Helpff.Caption = LangData(453)
.Opt_PredefEqu.Caption = LangData(454)
.Opt_Preview.Caption = LangData(455)
.Opt_RestVal.Caption = LangData(456)
.Opt_RestVal_BandW.Caption = LangData(457)
.Opt_RestVal_Frec.Caption = LangData(458)
.Opt_RestVal_Gain.Caption = LangData(459)
.Opt_SelTestFile.Caption = LangData(460)
.Opt_TamPredef.Caption = LangData(461)
.Option1.Caption = LangData(462)
.Option2.Caption = LangData(463)
.Option3.Caption = LangData(464)
.Option4.Caption = LangData(465)
.Option5.Caption = LangData(466)
.Text12.Text = LangData(425)
.Text28.Text = LangData(645)
Call Form8Captions_2
End With
Exit Sub
ErrH:
With Form8
.Label19.Caption = "Espere..."
.Caption = Form1.Tools_EditPerfEdit.Caption
.Check1.Caption = "Silencio"
.Check3.Caption = "Eliminar video"
.Check4.Caption = "Eliminar subtítulos"
.Check7.Caption = "Eliminar audio"
.Combo10.List(0) = "pixels"
.Combo10.List(1) = "x (ancho original)"
.Combo10.List(2) = "x (alto original)"
.Combo11.List(0) = "pixels"
.Combo11.List(1) = "x (ancho original)"
.Combo11.List(2) = "x (alto original)"
.Combo12.List(0) = "pixels"
.Combo12.List(1) = "x (ancho original)"
.Combo12.List(2) = "x (alto original)"
.Combo2.List(0) = "pixels"
.Combo2.List(1) = "x (ancho original)"
.Combo2.List(2) = "x (alto original)"
.Combo2.List(3) = "x (alto final)"
.Combo3.List(0) = "pixels"
.Combo3.List(1) = "x (ancho original)"
.Combo3.List(2) = "x (alto original)"
.Combo3.List(3) = "x (ancho final)"
.Combo4.List(0) = "pixels"
.Combo4.List(1) = "x (ancho original)"
.Combo4.List(2) = "x (alto original)"
.Combo4.List(3) = "x (ancho final)"
.Combo4.List(4) = "x (alto final)"
.Combo5.List(0) = "pixels"
.Combo5.List(1) = "x (ancho original)"
.Combo5.List(2) = "x (alto original)"
.Combo5.List(3) = "x (ancho final)"
.Combo5.List(4) = "x (alto final)"
.Combo6.List(0) = "pixels"
.Combo6.List(1) = "x (ancho original)"
.Combo6.List(2) = "x (alto original)"
.Combo6.List(3) = "x (ancho final)"
.Combo7.List(0) = "pixels"
.Combo7.List(1) = "x (ancho original)"
.Combo7.List(2) = "x (alto original)"
.Combo7.List(3) = "x (alto final)"
.Combo8.List(1) = "cuadros"
.Combo8.List(2) = "bytes"
.Combo9.List(0) = "pixels"
.Combo9.List(1) = "x (ancho original)"
.Combo9.List(2) = "x (alto original)"
.Command1.Caption = "Ir a"
.Command10.Caption = "Marcar posición 2"
.Command11.Caption = "Ir a"
.Command13.Caption = "Atrás"
.Command14.ToolTipText = "Cancelar"
.Command15.ToolTipText = "Cargar"
.Command3.ToolTipText = "Aceptar"
.Command4.Caption = "Aceptar"
.Command5.Caption = "Cancelar"
.Command6.Caption = "Reproducir"
.Command7.Caption = "Marcar posición 1"
.Command8.Caption = "Detectar bordes"
.Equ_Agudos.Caption = "Agudos"
.Equ_Auriculares.Caption = "Auriculares"
.Equ_Clasica.Caption = "Clásica"
.Equ_Club.Caption = "Club"
.Equ_Dance.Caption = "Dance"
.Equ_enVivo.Caption = "En vivo"
.Equ_Fiesta.Caption = "Fiesta"
.Equ_GranSalon.Caption = "Gran salón"
.Equ_Graves.Caption = "Graves"
.Equ_GravesYAgudos.Caption = "Graves y agudos"
.Equ_llano.Caption = "Llano"
.Equ_Pop.Caption = "Pop"
.Equ_Reggae.Caption = "Reggae"
.Equ_ROck.Caption = "Rock"
.Equ_ROckSuave.Caption = "Rock suave"
.Equ_Ska.Caption = "Ska"
.Equ_Suave.Caption = "Suave"
.Equ_Tecno.Caption = "Tecno"
.File_Close.Caption = "Cerrar"
.File_DescChan.Caption = "Descartar cambios"
.File_Exit.Caption = "Salir"
.File_Open.Caption = "Abrir"
.File_Save.Caption = "Guardar"
.File_SaveAs.Caption = "Guardar como..."
.Label1.Caption = "Tamaño de recorte:"
.Label10.Caption = "Tamaño:"
.Label11.Caption = "Relación de aspecto:"
.Label12.Caption = "Posición del recorte:"
.Label13.Caption = "Agregar a la derecha:"
.Label14.Caption = "Convertir desde la posición (HH:MM:SS.mm):"
.Label15.Caption = "Ancho de banda (octavas):"
.Label16.Caption = "Agregar a la izquierda:"
.Label17.Caption = "Agregar arriba:"
.Label18.Caption = "Agregar abajo:"
.Label2.Caption = "% Volumen (con respecto al original):"
.Label21.Caption = "Archivo de prueba:"
.Label22.Caption = "Frecuencia central (Hz):"
.Label23.Caption = "Ganancia (db):"
.Label3.Caption = "Desde el borde izquierdo:"
.Label4.Caption = "Desde el borde superior:"
.Label5.Caption = "Aplicar filtro de audio:"
.Label6.Caption = "Aplicar filtro de video:"
.Label7.Caption = "Aplicar filtro complejo:"
.Label8.Caption = "Parámetros de salida:"
.Label9.Caption = "Parámetros de entrada:"
.List1.List(0) = "Recortar secuencia"
.List1.List(1) = "Recortar cuadro"
.List1.List(2) = "Cambiar tamaño de cuadro"
.List1.List(3) = "Cambiar Volumen"
.List1.List(4) = "Aplicar Filtros"
.List1.List(5) = "Agregar Borde"
.List1.List(6) = "Eliminar Pistas"
.List1.List(7) = "Ecualizar"
.List1.List(8) = "Modificar línea de comandos"
.List1.List(9) = "Grabar subtítulos"
.List1.List(10) = "Superponer"
.Menu_File.Caption = "Archivo"
.Menu_Options.Caption = "Opciones"
.Opt_CleanAct.Caption = "Limpiar actuales"
.Opt_CleanAll.Caption = "Limpiar todo"
.Opt_ConRelDim.Caption = "Convertir a dimensiones relativas"
.Opt_CopyRAFileTest.Caption = "Copiar relación de aspecto de archivo de prueba"
.Opt_CopySizeTestFile.Caption = "Copiar tamaño archivo de prueba"
.Opt_CutGrap.Caption = "Recorte gráfico"
.Opt_Docu.Caption = "Documentación"
.Opt_Helpff.Caption = "Ayuda de ffmpeg"
.Opt_PredefEqu.Caption = "Predefinidos"
.Opt_Preview.Caption = "Vista previa"
.Opt_RestVal.Caption = "Restaurar valores"
.Opt_RestVal_BandW.Caption = "Ancho de banda"
.Opt_RestVal_Frec.Caption = "Frecuencia central"
.Opt_RestVal_Gain.Caption = "Ganancia"
.Opt_SelTestFile.Caption = "Seleccionar archivo de prueba"
.Opt_TamPredef.Caption = "Tamaños predefinidos"
.Option1.Caption = "Ajustar a dimensiones finales"
.Option2.Caption = "Cambiar relación (Ancho/Alto):"
.Option3.Caption = "Mantener original"
.Option4.Caption = "Convertir hasta la posición (HH:MM:SS.mm):"
.Option5.Caption = "Duración"
.Text12.Text = "Archivo de prueba:"
.Text28.Text = "Opciones de edición:"
Call Form8Captions_2
End With
End Sub

Public Sub Form9Captions()
On Error GoTo ErrH
With Form9
.Caption = Form1.Herramientas_Rutas.Caption
.Command5.ToolTipText = LangData(467)
.Command6.ToolTipText = LangData(468)
.Command7.ToolTipText = LangData(469)
End With
Exit Sub
ErrH:
With Form9
.Caption = Form1.Herramientas_Rutas.Caption
.Command5.ToolTipText = "Establecer"
.Command6.ToolTipText = "Cancelar"
.Command7.ToolTipText = "Buscar faltantes"
End With
End Sub

Public Sub Form10Captions()
On Error GoTo ErrH
With Form10
.Caption = Form1.Convertir_Comandos.Caption
.Label1.Caption = LangData(470)
.Label2.Caption = LangData(471)
.Label3.Caption = LangData(472)
.Label4.Caption = LangData(473)
.Label5.Caption = LangData(474)
.Label6.Caption = LangData(475)
.Label7.Caption = LangData(476)
.Label8.Caption = LangData(477)
.Label9.Caption = LangData(478)
.Text2.Text = LangData(479)
.Text4.Text = LangData(480)
End With
Exit Sub
ErrH:
With Form10
.Caption = Form1.Convertir_Comandos.Caption
.Label1.Caption = "Extracción de audio"
.Label2.Caption = "Codificación de audio"
.Label3.Caption = "Extracción de video"
.Label4.Caption = "Codificación de video"
.Label5.Caption = "Mezclado ó codifiación de audio-video"
.Label6.Caption = "Ejecutable para codificar audio"
.Label7.Caption = "Ejecutable para codificar video"
.Label8.Caption = "Extensión de archivo de salida"
.Label9.Caption = "¿La conversión genera múltiples archivos de salida?"
.Text2.Text = "Parámetros de entrada"
.Text4.Text = "Parámetros de salida"
End With
End Sub

Public Sub Form11Captions()
On Error GoTo ErrH
With Form11
.Caption = LangData(481)
.Label1.Caption = LangData(482)
.Label2.Caption = LangData(483)
End With
Exit Sub
ErrH:
With Form11
.Caption = "Acerca del codec..."
.Label1.Caption = "Nombre"
.Label2.Caption = "Ejecutable"
End With
End Sub

Public Sub Form12captions()
On Error GoTo ErrH
With Form12
.Caption = Form1.Command5.Caption
.Command1.Caption = LangData(484)
.Command2.Caption = LangData(485)
.Command3.Caption = LangData(486)
.Label1.Caption = LangData(487)
.Label2.Caption = LangData(488)
.Label3.Caption = LangData(489)
.Label4.Caption = LangData(490)
.Label5.Caption = LangData(491)
End With
Exit Sub
ErrH:
With Form12
.Caption = Form1.Command5.Caption
.Command1.Caption = "Detener"
.Command2.Caption = "Hecho"
.Command3.Caption = "Ver errores"
.Label1.Caption = "Seleccione una ruta"
.Label2.Caption = "Acción efectuada:"
.Label3.Caption = "Descripción:"
.Label4.Caption = "Comandos:"
.Label5.Caption = "Salida de consola:"
End With
End Sub

Public Sub Form14Captions()
On Error GoTo ErrH
With Form14
.Label2.Caption = LangData(317)
.Caption = LangData(492)
.Check1.Caption = LangData(493)
.Combo3.List(0) = "<" & PerfilName_Automatic & ">"
.Combo3.List(1) = "<" & PerfilName_Manual & ">"
.Command2.Caption = LangData(494)
.Command4.Caption = LangData(495)
.Frame1.Caption = LangData(496)
.Frame2.Caption = LangData(497)
.Frame4.Caption = LangData(498)
.Label1.Caption = LangData(499)
.Menu_Options.Caption = LangData(500)
.Text2.Text = LangData(501)
.Text3.Text = LangData(502)
.Text4.Text = LangData(503)
.Text10.Text = LangData(504)
.Opt_BuffSizeChan.Caption = LangData(505)
.Opt_Help.Caption = LangData(506)
.Opt_List.Caption = LangData(507)
.Option2.Caption = LangData(508)
.Option3.Caption = LangData(509)
.Option4.Caption = LangData(510)
End With
Exit Sub
ErrH:
With Form14
.Label2.Caption = "Obteniendo información de ffmpeg..."
.Caption = "Grabar"
.Check1.Caption = "Ver en el reproductor"
.Combo3.List(0) = "<" & PerfilName_Automatic & ">"
.Combo3.List(1) = "<" & PerfilName_Manual & ">"
.Command2.Caption = "Grabar"
.Command4.Caption = "Detener"
.Frame1.Caption = "Origen"
.Frame2.Caption = "Destino"
.Frame4.Caption = "Grabando"
.Label1.Caption = "Formato:"
.Menu_Options.Caption = "Opciones"
.Text2.Text = "Dirección de red:"
.Text3.Text = "Audio:"
.Text4.Text = "Video"
.Text10.Text = "Duración (HH:MM:SS.mm):"
.Opt_BuffSizeChan.Caption = "Cambiar tamaño de bufer"
.Opt_Help.Caption = "Ayuda"
.Opt_List.Caption = "Listar dispositivos"
.Option2.Caption = "Dispositivo de captura:"
.Option3.Caption = "Guardar como..."
.Option4.Caption = "Emitir"
End With
End Sub

Public Sub Form15Captions()
On Error GoTo ErrH
With Form15
.Label3.Caption = LangData(216)
.Caption = LangData(511)
.Check1.Caption = LangData(512)
.Combo3.List(0) = "<" & PerfilName_Automatic & ">"
.Combo3.List(1) = "<" & PerfilName_Manual & ">"
.Combo4.List(0) = "<" & LangData(513) & ">"
.Command1.Caption = LangData(514)
.Command2.Caption = LangData(515)
.Command3.Caption = LangData(516)
.Command4.Caption = LangData(517)
.Label1.Caption = LangData(518)
.Label2.Caption = LangData(519)
.Text1.Text = LangData(520)
.Text5.Text = LangData(521)
End With
Exit Sub
ErrH:
With Form15
.Label3.Caption = "Espere..."
.Caption = "Emitir en la red"
.Check1.Caption = "Repetir lista de reproducción"
.Combo3.List(0) = "<" & PerfilName_Automatic & ">"
.Combo3.List(1) = "<" & PerfilName_Manual & ">"
.Combo4.List(0) = "<" & "Infinito" & ">"
.Command1.Caption = "Emitir"
.Command2.Caption = "Detener"
.Command3.Caption = "Ver emisión"
.Command4.Caption = "Ver dirección IP"
.Label1.Caption = "Formato:"
.Label2.Caption = "Emitiendo en:"
.Text1.Text = "Dirección:"
.Text5.Text = "Veces:"
End With
End Sub

Public Sub Form17Captions()
On Error GoTo ErrH
With Form17
.Caption = Form1.Menu_Archivo_Analizar.Caption
.Label1.Caption = LangData(216)
End With
Exit Sub
ErrH:
With Form17
.Caption = Form1.Menu_Archivo_Analizar.Caption
.Label1.Caption = "Espere..."
End With
End Sub

Public Sub Form18Captions()
On Error GoTo ErrH
With Form18
.Command1.Caption = LangData(184)
.Command2.Caption = Form1.Menu_Help.Caption
End With
Exit Sub
ErrH:
With Form18
.Command1.Caption = "Detener"
.Command2.Caption = "Ayuda"
End With
End Sub

''''''''''''''''''''''''''''''''''
'MÁS MENSAJES Y CADENAS
'''''''''''''''''''''''''''''''''''

Public Function Conv_Str_MoviendoPistas() As String
On Error GoTo ErrH
Conv_Str_MoviendoPistas = LangData(522)
Exit Function
ErrH:
Conv_Str_MoviendoPistas = "Moviendo pistas"
End Function
Public Function Conv_Str_CantMoviendoPistas() As String
On Error GoTo ErrH
Conv_Str_CantMoviendoPistas = "No se pudieron mover los archivos"
Exit Function
ErrH:
Conv_Str_CantMoviendoPistas = LangData(523)
End Function
Public Function AboutCodec_QRefreshEXEPath() As VbMsgBoxResult
On Error GoTo ErrH
AboutCodec_QRefreshEXEPath = MsgBox("¿Guardar la nueva ruta del ejecutable?", vbYesNo, Form1.Caption)
Exit Function
ErrH:
AboutCodec_QRefreshEXEPath = MsgBox(LangData(524), vbYesNo, Form1.Caption)
End Function
Public Sub ECE_Msg_CerrarEditParAntesDeSalir()
On Error GoTo ErrH
MsgBox LangData(525), vbOKOnly, Form1.Caption
Exit Sub
ErrH:
MsgBox "Confirme ó descarte los cambios en el parámetro antes de salir", vbOKOnly, Form1.Caption
End Sub

''''''''''''''''''''''''''''''''''''''
'Más captions
''''''''''''''''''''''''''''''''''''''
Private Sub Form8Captions_2()
On Error GoTo ErrH
With Form8
.Text4.Text = LangData(526)
.Text6.Text = LangData(527)
.Text8.Text = LangData(528)
.Text10.Text = LangData(529)
.Text11.Text = LangData(530)
.Text16.Text = LangData(531)
.Text18.Text = LangData(532)
.Text22.Text = LangData(533)
.Text23.Text = LangData(534)
.Opt_RestVal_All.Caption = LangData(535)
.Label20.Caption = LangData(539)
.Check2.Caption = LangData(540)
.Command17.Caption = LangData(541)
.Check5.Caption = LangData(538)
.Label24.Caption = LangData(547)
.Combo14.List(0) = LangData(548)
.Combo14.List(1) = LangData(549)
.Combo14.List(2) = LangData(550)
.Text36.Text = LangData(553)
.Check6.Caption = LangData(555)
.Check9.Caption = LangData(556)
.Check8.Caption = LangData(557)
.Label240.Caption = LangData(558)
.Label26.Caption = LangData(559)
.Text42.Text = LangData(560)
.Text43.Text = LangData(561)
.Text44.Text = LangData(562)
.Text45.Text = LangData(563)
.Check10.Caption = LangData(565)
End With
Exit Sub
ErrH:
With Form8
.Text4.Text = "Ancho:"
.Text6.Text = "Ancho:"
.Text8.Text = "Alto:"
.Text10.Text = "Alto:"
.Text11.Text = "Relleno:"
.Text16.Text = "Ancho:"
.Text18.Text = "Alto:"
.Text22.Text = "Ancho:"
.Text23.Text = "Alto:"
.Opt_RestVal_All.Caption = "Restaurar todos"
.Label20.Caption = "Archivo con los subtítulos (formato ass):"
.Check2.Caption = "Índice:"
.Command17.Caption = "Obtener valor"
.Check5.Caption = "Grabar subtítulos"
.Label24.Caption = "Algoritmo:"
.Combo14.List(0) = "Color"
.Combo14.List(1) = "Imagen o video"
.Combo14.List(2) = "Video de entrada"
.Text36.Text = "Efecto:"
.Check6.Caption = "Superponer imagen o video:"
.Check9.Caption = "Redimensionar (Ancho x Alto)"
.Check8.Caption = "Color transparente:"
.Label240.Caption = "Posición:"
.Label26.Caption = "Márgenes:"
.Text42.Text = "Superior:"
.Text43.Text = "Inferior:"
.Text44.Text = "Izquierdo:"
.Text45.Text = "Derecho:"
.Check10.Caption = "%Opacidad:"
End With
End Sub
Public Function Msg_HowObtIndexSub() As String
On Error GoTo ErrH
Msg_HowObtIndexSub = Replace(LangData(542), "|", vbCrLf)
Exit Function
ErrH:
Msg_HowObtIndexSub = "Nota: solo es necesario especificar este valor si los subtítulos vienen empaquetados" & vbCrLf & "en un archivo multimedia" & vbCrLf & vbCrLf & "A continuacion se abrirá el archivo" & vbCrLf & "Los primeros subtítulos que observe tendrán el índice 0" & vbCrLf & "Utilice la tecla 'T' para alternar entre las pistas de subtítulos y encontrar los que necesite" & vbCrLf & "Los segundos subtítulos que observe tendrán el índice 1, los terceros 2, y así sucesivamente"
End Function

Private Sub Form5Captions_2()
On Error GoTo ErrH
Form5.Text7.Text = LangData(536)
Form5.File_New.Caption = LangData(194)
Form5.File_OpenAFF.Caption = Form5.File_OpenA.Caption & " ffmpeg"
Form5.File_OpenVFF.Caption = Form5.File_OpenV.Caption & " ffmpeg"
Form5.Combo5.List(0) = LangData(544)
Form5.Label14.Caption = LangData(216)
Form5.Check2.Caption = LangData(615)
Form5.Label15.Caption = LangData(616)
Form5.Check3.Caption = LangData(619)
Form5.Check4.Caption = LangData(630)
Form5.Check3.ToolTipText = LangData(620)
Exit Sub
ErrH:
Form5.Text7.Text = "Nota: el orden de los parámetros en la lista será el orden en la línea de comandos"
Form5.File_New.Caption = "Nuevo"
Form5.File_OpenAFF.Caption = Form5.File_OpenA.Caption & " ffmpeg"
Form5.File_OpenVFF.Caption = Form5.File_OpenV.Caption & " ffmpeg"
Form5.Combo5.List(0) = "externo"
Form5.Label14.Caption = "Espere..."
Form5.Check2.Caption = "Habilitar uso de pipe"
Form5.Label15.Caption = "Comandos para usar pipe:"
Form5.Check3.Caption = "No esperar mensajes de consola"
Form5.Check4.Caption = "Detener con Ctrl+C"
Form5.Check3.ToolTipText = "Deshabilite la espera de mensajes con binarios que informen el progreso de conversión frecuentemente, esto hará que la codificación sea más rápida"
End Sub

Public Function Msg_SubtitlesFileNoSpec() As String
On Error GoTo ErrH
Msg_SubtitlesFileNoSpec = LangData(543)
Exit Function
ErrH:
Msg_SubtitlesFileNoSpec = "No se ha especificado ningún archivo con los subtítulos"
End Function

Public Sub AlternarCaptionForm5Label13(ByRef FExten As String)
On Error GoTo ErrH
If FExten = "lca" Or FExten = "lcv" Then
    Form5.Label13.Caption = LangData(247)
Else
    If FExten = "fca" Then Form5.Label13.Caption = ffmpeg.FFmpegParametrosEtiq.CodecAudio & ":" Else Form5.Label13.Caption = ffmpeg.FFmpegParametrosEtiq.CodecVideo & ":"
End If
Exit Sub
ErrH:
If FExten = "lca" Or FExten = "lcv" Then
    Form5.Label13.Caption = "Extensión de archivo de salida:"
Else
    If FExten = "fca" Then Form5.Label13.Caption = "Codec de audio:" Else Form5.Label13.Caption = "Codec de video:"
End If
End Sub

Public Sub Msg_ECodecNoContieneInfo()
On Error GoTo ErrH
MsgBox LangData(546), vbCritical, Form1.Caption
Exit Sub
ErrH:
MsgBox "El archivo no especifica el codec ffmpeg a utilizar", vbCritical, Form1.Caption
End Sub

Public Function Msg_NoSePudoObtenerDimensionWxH() As String
On Error GoTo ErrH
Msg_NoSePudoObtenerDimensionWxH = LangData(551)
Exit Function
ErrH:
Msg_NoSePudoObtenerDimensionWxH = "No se pudo determinar las dimensiones del cuadro de video"
End Function

Public Function Str_ObteniendoDimensionesDeVideo() As String
On Error GoTo ErrH
Str_ObteniendoDimensionesDeVideo = LangData(552)
Exit Function
ErrH:
Str_ObteniendoDimensionesDeVideo = "Obteniendo dimensiones de video"
End Function

Public Sub EPEditor_OverlayInfo()
On Error GoTo ErrH
MsgBox Replace(LangData(564), "|", vbCrLf), vbInformation, Form8.Caption
Exit Sub
ErrH:
MsgBox "Ingrese la imagen o video a superponer y de click sobre el cuadro 'Posición' para alinear la imagen" & vbCrLf & vbCrLf & "Para redimensionar o establecer márgenes ingrese una cantidad numérica" & vbCrLf & "en el cuadro correspondiente, luego seleccione una opción" & vbCrLf & "de la lista desplegable:" & vbCrLf & vbCrLf & "pixel: establece la medida en pixels" & vbCrLf & "*W: multiplica la medida por el ancho del video de entrada" & vbCrLf & "*H: multiplica la medida por el alto del video de entrada" & vbCrLf & "*w: multiplica la medida por el ancho de la imagen/video a superponer" & vbCrLf & "*h: multiplica la medida por el alto de la imagen/video a superponer", vbInformation, Form8.Caption
End Sub

Public Function MsgSuspenderParaIngresarExtension() As VbMsgBoxResult
On Error GoTo ErrH
MsgSuspenderParaIngresarExtension = MsgBox(Replace(LangData(566), "|", vbCrLf), vbYesNoCancel, Form1.Caption)
Exit Function
ErrH:
MsgSuspenderParaIngresarExtension = MsgBox("No se identificó ninguna extensión de archivo. FFmpeg puede convertir archivos sin" & vbCrLf & "especificarla pero puede que el sistema operativo la necesite para identificar el archivo" & vbCrLf & "¿Suspender el proceso para ingresar una extensión de archivo?", vbYesNoCancel, Form1.Caption)
End Function

Public Sub FormatEditInfoCmdLEntradaSalida()
On Error GoTo ErrH
MsgBox Replace(LangData(567), "|", vbCrLf), vbInformation, Form1.Caption
Exit Sub
ErrH:
MsgBox "La línea de comandos que maneja ffmpeg es la siguiente:" & vbCrLf & vbCrLf & "ffmpeg.exe [Parámetros de entrada] -i ArchivoEntrada [Parámetros de salida] ArchivoSalida" & vbCrLf & vbCrLf & "[Parámetros de entrada] serán todos los parámetros que aparecen antes de la ruta o nombre del archivo a convertir" & vbCrLf & "[Parámetros de salida] serán todos los parámetros que aparecen después de la ruta o nombre del archivo a convertir", vbInformation, Form1.Caption
End Sub

Public Function AyudaParGenerarFormatoStrExtension() As String
On Error GoTo ErrH
AyudaParGenerarFormatoStrExtension = Replace(LangData(568), "|", vbCrLf)
Exit Function
ErrH:
AyudaParGenerarFormatoStrExtension = "FFmpeg puede configurar todos los parámetros solo con especificar la extensión de archivo (siempre y cuando la reconozca). Sin embargo el resultado puede no ser bueno." & vbCrLf & vbCrLf & "Ingrese la extensión de archivo en el cuadro correspondiente y guarde el perfil de formato. No es necesario llenar los demás parámetros, recuerde que en ffmpeg todos los parámetros son opcionales."
End Function

Public Function AyudaParGenerarFormatoStrArchivo() As String
On Error GoTo ErrH
AyudaParGenerarFormatoStrArchivo = Replace(LangData(569), "|", vbCrLf)
Exit Function
ErrH:
AyudaParGenerarFormatoStrArchivo = "Si dispone de un archivo cuyo formato sea el que necesita y quiere convertir otro archivo a dicho formato..." & vbCrLf & vbCrLf & "Es posible analizar su archivo y obtener los valores de los parámetros, sin embargo puede que los codecs no estén disponibles en ffmpeg o al menos que no se encuentren bajo la etiqueta que guarda su archivo. Por ejemplo el codec h264 se reconoce como libx264, necesitará consultar la ayuda de ffmpeg si el codec no es reconocido." & vbCrLf & vbCrLf & "A continuación se mostrará un cuadro de diálogo. Busque y seleccione su archivo. Después se mostrarán controles con los valores obtenidos y podrá seleccionar los que desee copiar"
End Function

Public Function AyudaParGenerarFormatoStrCmd() As String
On Error GoTo ErrH
AyudaParGenerarFormatoStrCmd = Replace(LangData(570), "|", vbCrLf)
Exit Function
ErrH:
AyudaParGenerarFormatoStrCmd = "Es la mejor, más fácil y más rápida forma para configurar el convertidor. Usted puede obtener la línea de comandos preguntando en los muchos foros de ffmpeg." & vbCrLf & vbCrLf & "Se mostrarán los controles para que ingrese la línea de comandos. Utilice el botón 'i' para ver más información acerca de la línea de comandos y como introducirla en los controles."
End Function

Public Function AyudaParGenerarFormatoStrMuchosPar() As String
On Error GoTo ErrH
AyudaParGenerarFormatoStrMuchosPar = Replace(LangData(571), "|", vbCrLf)
Exit Function
ErrH:
AyudaParGenerarFormatoStrMuchosPar = "Todos los parámetros son opcionales. Podría incluso especificar solo la extensión de archivo, solo es necesario ingresar aquellos valores que necesite o conozca, los demás déjelos en blanco."
End Function

Public Sub Form21_Captions()
On Error GoTo ErrH
With Form21
    .Caption = Form1.File_Map.Caption
    .Check1.Caption = LangData(262)
    .Command3.Caption = LangData(572)
    .Command4.Caption = LangData(573)
    .Label1.Caption = LangData(216)
    .Label2.Caption = LangData(574)
End With
Exit Sub
ErrH:
With Form21
    .Caption = Form1.File_Map.Caption
    .Check1.Caption = "Marcar / Desmarcar todo"
    .Command3.Caption = "Reproducir seleccionado"
    .Command4.Caption = "Reproducir marcados"
    .Label1.Caption = "Espere..."
    .Label2.Caption = "Marque los streams a procesar:"
End With
End Sub

Public Sub Form20_Captions()
On Error GoTo ErrH
Form20.Caption = LangData(587)
Exit Sub
ErrH:
Form20.Caption = "Arrastre archivos a la lista:"
End Sub

Public Sub Msg_ErrorObteniendoStreamsInfo()
On Error GoTo ErrH
MsgBox LangData(575), vbOKOnly, "Error"
Exit Sub
ErrH:
MsgBox "No se pudo obtener la información de los streams contenidos en el archivo", vbOKOnly, "Error"
End Sub

Public Sub Msg_MapearDebeSeleccionarUnStream()
On Error GoTo ErrH
MsgBox LangData(576), vbOKOnly, "Error"
Exit Sub
ErrH:
MsgBox "Debe seleccionar al menos un stream", vbOKOnly, "Error"
End Sub

Public Function Msg_MapeadoNoDisponibleConConcat() As VbMsgBoxResult
On Error GoTo ErrH
Msg_MapeadoNoDisponibleConConcat = MsgBox(Replace(LangData(577), "|", vbCrLf), vbYesNoCancel, Form1.Caption)
Exit Function
ErrH:
Msg_MapeadoNoDisponibleConConcat = MsgBox("El mapeado no está disponible cuando se utiliza la concatenación de archivos." & vbCrLf & "Se ignorará la subselección o mapeado de streams." & vbCrLf & "¿Continuar?", vbYesNoCancel, Form1.Caption)
End Function

Public Sub AsistenteParaFormatoCaptions()
On Error GoTo ErrH
With Form7
    .Option10.Caption = LangData(578)
    .Option9.Caption = LangData(579)
    .Option8.Caption = LangData(580)
    .Option7.Caption = LangData(581)
    .Label6.Caption = LangData(582)
    .Frame7.Caption = LangData(583)
End With
Exit Sub
ErrH:
With Form7
    .Option10.Caption = "Solo conozco la extensión de archivo (ej. avi, mp3, mp4, ogg, flac)"
    .Option9.Caption = "Tengo un archivo con el formato que necesito"
    .Option8.Caption = "Conseguí la línea de comandos ffmpeg para convertir el archivo"
    .Option7.Caption = "Conozco algunos valores, pero desconozco todos los demás parámetros que me pide el Editor de Formatos"
    .Label6.Caption = "¿Qué sabes acerca del formato que necesitas?"
    .Frame7.Caption = "Ayuda para configurar un formato"
End With
End Sub

Public Sub Form22Captions()
On Error GoTo ErrH
    Form22.Label1.Caption = LangData(590)
Exit Sub
ErrH:
Form22.Label1.Caption = "Los siguientes archivos no se pudieron copiar o mover:"
End Sub

Public Sub Form23Captions()
On Error GoTo ErrH
    With Form23
        .Caption = Form1.Tools_VideoDownloader.Caption
        .Menu_File.Caption = Form1.Menu_Archivo.Caption
        .Menu_Options.Caption = Form1.Menu_Help.Caption
        .File_Salir.Caption = Form1.File_Exit.Caption
        .Options_About.Caption = LangData(593)
        .Help_Version.Caption = LangData(629)
        .Options_ConfigPath.Caption = LangData(594)
        .Options_List.Caption = LangData(595)
        .Options_ShowHelp.Caption = LangData(596)
        .Help_GotoYtweb.Caption = LangData(597)
        .Label2.Caption = LangData(598)
        .Label3.Caption = FFParLabels.Calidad & ":"
        .Combo1.List(0) = LangData(599)
        .Combo1.List(1) = LangData(600)
        .Combo1.List(2) = LangData(601)
        .Combo1.List(3) = LangData(602)
        .Combo1.List(4) = LangData(603)
        .Combo1.List(5) = LangData(604)
        .Combo1.List(6) = LangData(605)
        
        .Combo1.List(7) = LangData(635)
        .Combo1.List(8) = LangData(636)
        .Combo1.List(9) = LangData(637)
        .Combo1.List(10) = LangData(638)
        .Combo1.List(11) = LangData(643)
        .Combo1.List(12) = LangData(606)
        
        .Command2.Caption = LangData(607)
        .Command7.Caption = LangData(184)
        .Command6.Caption = LangData(184)
        .Label5.Caption = LangData(608)
        .Label4.Caption = LangData(609)
        .Label6.Caption = LangData(610)
        
        .OptMenu.Caption = LangData(141)
        .Opt_ChanBufferSize.Caption = LangData(505)
        .Opt_ErrIgn.Caption = LangData(639)
        .Check3.Caption = LangData(640)
        .Opt_ValCert.Caption = LangData(641)
        .Check1.Caption = LangData(642)
        
        .Check2.Caption = LangData(644)
        .Check4.Caption = LangData(262)
        
        .Opt_CleanAll.Caption = LangData(280)
    End With
Exit Sub
ErrH:
    With Form23
        .Caption = Form1.Tools_VideoDownloader.Caption
        .Menu_File.Caption = "Archivo"
        .Menu_Options.Caption = "Ayuda"
        .OptMenu.Caption = "Opciones"
        .File_Salir.Caption = Form1.File_Exit.Caption
        .Opt_ChanBufferSize.Caption = "Cambiar tamaño de buffer"
        .Opt_ValCert.Caption = "Validar certificados https"
        
        .Options_About.Caption = "Acerca de youtube-dl"
        .Help_Version.Caption = "Versión de youtube-dl"
        .Options_ConfigPath.Caption = "Configurar ruta de youtube-dl"
        .Options_List.Caption = "Listar websites soportados"
        .Options_ShowHelp.Caption = "Mostrar ayuda de youtube-dl"
        .Help_GotoYtweb.Caption = "Ir a la web de youtube-dl"
        .Label2.Caption = "Guardar en:"
        .Label3.Caption = FFParLabels.Calidad & ":"
        .Combo1.List(0) = "<Default>"
        .Combo1.List(1) = "La mejor"
        .Combo1.List(2) = "La peor"
        .Combo1.List(3) = "Solo video (el mejor)"
        .Combo1.List(4) = "Solo video (el peor)"
        .Combo1.List(5) = "Solo audio (el mejor)"
        .Combo1.List(6) = "Solo audio (el peor)"
        .Combo1.List(7) = "Mejor video+mejor audio (separados)"
        .Combo1.List(8) = "Mejor video+peor audio (separados)"
        .Combo1.List(9) = "Peor video+mejor audio (separados)"
        .Combo1.List(10) = "Peor video+peor audio (separados)"
        .Combo1.List(11) = "Descargar todos"
        .Combo1.List(12) = "Especificar ID de formato:"
        .Command2.Caption = "Descargar"
        .Command7.Caption = "Detener"
        .Command6.Caption = "Detener"
        .Label5.Caption = "Seleccione uno o más formatos:"
        .Label4.Caption = "Obteniendo lista de formatos..."
        .Label6.Caption = "No fue posible obtener la lista de formatos"
        
        .Opt_ChanBufferSize.Caption = "Cambiar tamaño de buffer"
        .Opt_ErrIgn.Caption = "Ignorar errores"
        .Opt_ValCert.Caption = "Validar certificados https"
        
        .Check3.Caption = "Especificar parámetros de la línea de comandos"
        .Check1.Caption = "Elementos de playlist (ej: 1-3,5,12):"
        .Check2.Caption = "Nombre de archivo:"
        .Check4.Caption = "Marcar / desmarcar todo"
        
        .Opt_CleanAll.Caption = "Limpiar todo"
    End With
End Sub

Public Sub MsgyoutubedlNotFound()
On Error GoTo ErrH
MsgBox LangData(611), vbOKOnly, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se encuentra youtube-dl", vbOKOnly, Form1.Caption
End Sub

Public Sub MsgURLNoEspecificada()
On Error GoTo ErrH
MsgBox LangData(612), vbOKOnly, Form1.Caption
Exit Sub
ErrH:
MsgBox "No se ha especificado una URL", vbOKOnly, Form1.Caption
End Sub

Public Sub MsgErrorObteniendoIDDeFormato(Linea As String)
On Error GoTo ErrH
MsgBox LangData(613) & vbCrLf & Linea, vbOKOnly, Form1.Caption
Exit Sub
ErrH:
MsgBox "Error al obtener ID del formato" & vbCrLf & Linea, vbOKOnly, Form1.Caption
End Sub

Public Function MsgHabilitaConsolaThreading() As Boolean
On Error GoTo ErrH
MsgHabilitaConsolaThreading = (MsgBox(Replace(LangData(617), "|", vbCrLf), vbYesNoCancel) = vbYes)
Exit Function
ErrH:
MsgHabilitaConsolaThreading = (MsgBox("Advertencia: esta opción mejora el rendimiento de la aplicación pero puede provocar inestabilidad." & vbCrLf & "¿Continuar?", vbYesNoCancel) = vbYes)
End Function

Public Sub MsgSeleccioneArchivoParaAccion(Accion As String)
On Error GoTo ErrH
MsgBox LangData(621), vbInformation, Accion
Exit Sub
ErrH:
MsgBox "Seleccione un archivo para ejecutar la acción", vbInformation, Accion
End Sub

Public Function WaitString() As String
On Error GoTo ErrH
WaitString = LangData(216)
ErrH:
WaitString = "Espere..."
End Function

Public Sub MsgNoSePuedenGuardarEnTemp(Ruta As String)
On Error GoTo ErrH
Call MsgBox(LangData(631) & vbCrLf & Ruta, vbCritical, Form1.Caption)
Exit Sub
ErrH:
Call MsgBox("No se puede utilizar un directorio temporal para guardar los archivos convertidos" & vbCrLf & Ruta, vbCritical, Form1.Caption)
End Sub

Public Sub MsgErrorDragDropPropiedad()
On Error GoTo ErrH
Call MsgBox(LangData(632), vbCritical, Form1.Caption)
Exit Sub
ErrH:
MsgBox "Error al establecer la propiedad Drag & Drop en el control", vbCritical, Form1.Caption
End Sub

Public Function MsgQstConservarArchivos() As VbMsgBoxResult
On Error GoTo ErrH
MsgQstConservarArchivos = MsgBox(Replace(LangData(633), "|", vbCrLf), vbYesNoCancel, Form3.Caption)
Exit Function
ErrH:
MsgQstConservarArchivos = MsgBox("Uno o más archivos que se intentan agregar ya existen" & vbCrLf & "¿Eliminar los archivos existentes?", vbYesNoCancel, Form3.Caption)
End Function

Public Sub MsgOutDirNotFound(Ruta As String)
On Error GoTo ErrH
Call MsgBox(LangData(634) & vbCrLf & Ruta, vbOKOnly, Form1.Caption)
Exit Sub
ErrH:
Call MsgBox("No se encuentra el directorio de salida:" & vbCrLf & Ruta, vbOKOnly, Form1.Caption)
End Sub

Public Sub MsgYTdlNoEspecificoIDDeFormato()
On Error GoTo ErrH
Call MsgBox(LangData(646), vbOKOnly, Form1.Caption)
Exit Sub
ErrH:
Call MsgBox("Especifica un ID de formato", vbOKOnly, Form1.Caption)
End Sub

Public Sub Form16Captions()
On Error GoTo ErrH
Dim TextoLicencia As String
TextoLicencia = "This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version." & vbCrLf & vbCrLf & "This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details." & vbCrLf & vbCrLf & "You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>."
With Form16
    .Caption = Form1.Help_About.Caption
    .Text1.Text = LangData(647) & vbCrLf & TextoLicencia
    .Text2.Text = LangData(648)
    .Command2.ToolTipText = LangData(649)
    .Command4.ToolTipText = LangData(650)
    .Command1.ToolTipText = LangData(651)
    .Command5.ToolTipText = LangData(652)
    .Command3.Caption = LangData(653)
End With
Exit Sub
ErrH:
With Form16
    .Caption = "Acerca de..."
    .Text1.Text = "LICENCIA:" & vbCrLf & TextoLicencia
    .Text2.Text = "Si este programa te fué útil por favor recomiéndaselo a tus amigos"
    .Command2.ToolTipText = "Ir a la página web..."
    .Command4.ToolTipText = "Enviar un correo a libreavconverter@gmail.com"
    .Command1.ToolTipText = "Compartir en Facebook"
    .Command5.ToolTipText = "Compartir en Twitter"
    .Command3.Caption = "Donar"
End With
End Sub

Public Sub Form19Captions()
On Error GoTo ErrH
With Form19
    .Label3.Caption = LangData(654)
    .Label5.Caption = LangData(655)
    .Label6.Caption = LangData(656)
End With
Exit Sub
ErrH:
With Form19
    .Label3.Caption = "gyan (FFmpeg compilado para Windows)"
    .Label5.Caption = "Libre AV Converter (página de descarga)"
    .Label6.Caption = "*Este proyecto utiliza íconos de Open Icon Library"
End With
End Sub

Public Function GrabarPantallaString() As String
On Error GoTo ErrH
GrabarPantallaString = LangData(657)
Exit Function
ErrH:
GrabarPantallaString = "Grabar pantalla"
End Function

Public Sub Form14GrabarPantallaLabels()
On Error GoTo ErrH
With Form14
    .Frame5.Caption = GrabarPantallaString
    .Option5.Caption = LangData(658)
    .Option6.Caption = LangData(659)
    .Option7.Caption = LangData(660)
    .Label3.Caption = LangData(661)
    .Label4.Caption = LangData(662)
    .Label5.Caption = LangData(663)
    .Label8.Caption = LangData(664)
    .Check4.Caption = LangData(665)
End With
Exit Sub
ErrH:
With Form14
    .Frame5.Caption = GrabarPantallaString
    .Option5.Caption = "Capturar toda la pantalla"
    .Option6.Caption = "Capturar una región de la pantalla (pixels)"
    .Option7.Caption = "Capturar ventana"
    .Label3.Caption = "Ancho"
    .Label4.Caption = "Alto"
    .Label5.Caption = "Posición (desde la esquina superior izquierda):"
    .Label8.Caption = "Título de la ventana"
    .Check4.Caption = "No capturar mouse"
End With
End Sub


''''''''''''''''''''''''''''''''''''''''''''
'''CARGAR LENGUAJE
'''''''''''''''''''''''''''''''''''''''''''

Public Sub CargarLenguaje(Nombre As String)
Dim NumArchivo, Ruta As String, BufStr As String, LongArch As Long, i As Integer
Erase LangData
If Nombre = "" Then Exit Sub
If Nombre = "<Spanish>" Then GoTo Actualizar
If Nombre = "<English>" Then
BufStr = LoadResData(102, "TEXT")
BufStr = Right(BufStr, Len(BufStr) - 1)
GoTo GenerarLista
End If
If Nombre = "<Portuguese>" Then
BufStr = LoadResData(104, "TEXT")
BufStr = Right(BufStr, Len(BufStr) - 1)
GoTo GenerarLista
End If
Ruta = App.Path & "\appfiles\lang\" & Nombre & ".llg"
If ScriptObj.ExisteArchivo(Ruta) = False Then
MsgBox "No se encuentra el archivo de lenguaje" & vbCrLf & "The language file is not found", vbCritical, Form1.Caption
GoTo Actualizar
End If
On Error GoTo ErrH
LongArch = FileLen(Ruta)
BufStr = String(LongArch, Chr(0))
NumArchivo = FreeFile
Open Ruta For Binary As NumArchivo
Get NumArchivo, , BufStr
Close NumArchivo
GenerarLista:
LangData = Split(BufStr, vbCrLf)
ReDim Preserve LangData(0 To 665)
Actualizar:
Call Form1Captions
Call ffmpeg.FFCmdLParEtiqInicializar
LangName = Nombre
Exit Sub
ErrH:
MsgBox "No se pudo cargar el lenguaje" & vbCrLf & "Could not load language", vbCritical, Form1.Caption
End Sub
